package cn.fw.morax.common.constant;

import org.apache.commons.collections4.map.LinkedMap;

import java.math.BigDecimal;
import java.util.LinkedList;

public class Constant {

    /**
     * 保存失败提示
     */
    public static final String SAVE_FAIL_RETRY_PROMPT = "保存失败，请联系后台人员";

    /**
     * 工资发放角色编码
     */
    public static final String ROLE_CODE_WAGE_PAYMENT = "FA-GZZF";

    /**
     * 一百
     */
    public static final BigDecimal ONE_HUNDRED  = new BigDecimal("100");

    /**
     * 零
     */
    public static final BigDecimal ZERO  = new BigDecimal("0");

    /**
     * 薪酬申述时间
     */
    public final static Integer SALARY_APPEAL_DAYS = 3;

    /**
     * 薪酬默认上述时间
     */
    public final static String SALARY_DEFAULT_DATES_OF_APPEAL = "3,5";

    /**
     * 薪酬默认发放时间
     */
    public final static Integer SALARY_DEFAULT_PAYOFF_DATE = 15;
    /**
     * 薪酬申述最大天数
     */
    public final static Integer SALARY_APPEAL_MAX_DAYS = 15;

    /**
     * 分隔符
     */
    public final static String SEPARATOR = "_";

    /**
     * 薪酬报表车系名称
     */
    public final static String REPORT_CAR_SERIES_NAME = "carSeriesName";

    /**
     * 薪酬报表车系销售数量
     */
    public final static String REPORT_CAR_SERIES_SALE_NUM = "carSeriesSaleNum";

    /**
     * 薪酬报表车系薪酬
     */
    public final static String REPORT_CAR_SERIES_SALARY = "carSeriesSalary";

    /**
     * 薪酬报表车系表头
     */
    public final static LinkedMap<String, String> REPORT_CAR_SERIES_HEADER = new LinkedMap<String, String>(){{
        put(REPORT_CAR_SERIES_NAME, "车系");
        put(REPORT_CAR_SERIES_SALE_NUM, "零售数");
        put(REPORT_CAR_SERIES_SALARY, "提成金额");
    }};

    /**
     * 上报最大数据量
     */
    public final static Integer REPORT_MAX_SIZE = 500;
}
