package cn.fw.morax.common.pojo.event;

import cn.fw.common.data.mybatis.handler.LongListTypeHandler;
import cn.fw.common.data.mybatis.handler.StringListTypeHandler;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;
import java.time.YearMonth;
import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class KpiGroupChangeEvent {
    /**
     * 绩效组id
     */
    private Long id;

    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 岗位名称
     */
    private String postName;
    /**
     * 适用门店ids
     */
    private List<Long> shopIds;
    /**
     * 适用门店名称
     */
    private List<String> shopNames;
    /**
     * 生效时间
     */
    private LocalDate beginTime;
    /**
     * 失效时间
     */
    private LocalDate overTime;
    /**
     * 包含指标数量
     */
    private Integer indicatorNum;
    /**
     * 调整原因
     */
    private String reason;

}
