package cn.fw.morax.dao;

import cn.fw.morax.domain.db.ApprovalRecord;
import cn.fw.morax.domain.enums.ApprovalTypeEnum;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author : kurisu
 * @className : ApprovalRecord
 * @description : 审批记录
 * @date: 2022-04-06 14:47
 */
@Repository
public interface ApprovalRecordDao extends BaseMapper<ApprovalRecord> {

    /**
     * 获取dataId最新的一次审批记录
     *
     * @param dataIds
     * @param approvalType
     * @return
     */
    List<ApprovalRecord> getLastApprovals(@Param("dataIds") List<Long> dataIds,
                                          @Param("approvalType") ApprovalTypeEnum approvalType);
}
