package cn.fw.morax.dao;

import cn.fw.morax.domain.db.SettingDraft;
import cn.fw.morax.domain.db.kpi.KpiGroup;
import cn.fw.morax.domain.enums.SettingDraftStatusEnum;
import cn.fw.morax.domain.enums.SettingDraftTypeEnum;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.time.LocalDate;
import java.util.List;

/**
 * 草稿
 *
 */
@Repository
public interface SettingDraftDao extends BaseMapper<SettingDraft> {

    /**
     * 门店岗位重复的审批中数据
     *
     * @param postId
     * @param shopIds
     * @param status
     * @return
     */
    List<SettingDraft> getRepeatApprovals(@Param("postId") Long postId,
                                          @Param("shopIds") List<Long> shopIds,
                                          @Param("type") SettingDraftTypeEnum type,
                                          @Param("status") SettingDraftStatusEnum status,
                                          @Param("beginTime") LocalDate beginTime);

}
