package cn.fw.morax.dao.eval;


import cn.fw.morax.domain.db.eval.EvalGroup;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.lang.NonNull;

import java.time.LocalDate;
import java.util.Date;
import java.util.List;
import java.util.Set;

/**
 * <p>
 * 考评组 Mapper 接口
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
public interface EvalGroupDao extends BaseMapper<EvalGroup> {

    /**
     * 查询生效中的考评组
     * @param day
     * @return
     */
    List<EvalGroup> getAllEffectGroups(@Param("day") LocalDate day);

    /**
     * 查询生效中的考评组
     * @param groupId
     * @return
     */
    List<EvalGroup> getEffectGroups(@Param("day") Long groupId, @Param("day") LocalDate day);

    Set<Long> queryCalculableEvalGroupIds(@Param("day") LocalDate localDate);

    Set<Long> queryDistributionShopReward(@Param("day") LocalDate localDate);

    /**
     * 查询生效中的考评组
     * @param evalGroupRankId
     * @return
     */
    List<EvalGroup> getEffectsByRankId(@Param("evalGroupRankId") Long evalGroupRankId, @Param("day") LocalDate day);
}
