package cn.fw.morax.dao.eval;


import cn.fw.morax.domain.bo.StageIndicatorBO;
import cn.fw.morax.domain.bo.eval.EvalGroupIndicatorBO;
import cn.fw.morax.domain.db.eval.EvalGroupIndicator;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.List;
import java.util.Set;

/**
 * <p>
 * 绩效组指标项 Mapper 接口
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
public interface EvalGroupIndicatorDao extends BaseMapper<EvalGroupIndicator> {

    /**
     * 查询所有有效的指标数据
     * 返回数据包含正在使用的岗位
     *
     * @param dataDate 时间点 非空
     * @param evalGroupId
     * @return
     */
    Set<EvalGroupIndicatorBO> allIndicators(LocalDate dataDate, Long evalGroupId);

    /**
     * 查询阶段指标
     * @param dataDate
     * @param codeType
     * @return
     */
    List<StageIndicatorBO> getStageIndicators(@Param("dataDate") LocalDate dataDate,
                                              @Param("codeType") Integer codeType);
}
