package cn.fw.morax.dao.eval;


import cn.fw.morax.domain.db.eval.EvalIndicatorValue;
import cn.fw.morax.domain.enums.DimensionTypeEnum;
import cn.fw.morax.domain.vo.kpi.IndicatorUserValueVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.time.YearMonth;
import java.util.List;
import java.util.Set;

/**
 * <p>
 * 考评人员指标业务值 Mapper 接口
 * </p>
 *
 * @author jiangchao
 * @since 2023-01-30
 */
public interface EvalIndicatorValueDao extends BaseMapper<EvalIndicatorValue> {

    /**
     * 查询最新上报数据
     *
     * @param userId
     * @param shopId
     * @param dimensionType
     * @param indicatorCode
     * @param dataDate
     * @return
     */
    EvalIndicatorValue queryLastValue(@Param("userId") Long userId,
                                      @Param("shopId") Long shopId,
                                      @Param("dimensionType") DimensionTypeEnum dimensionType,
                                      @Param("indicatorCode") String indicatorCode,
                                      @Param("dataDate") LocalDate dataDate);

    /**
     * 获取指标原始上报记录
     *
     * @param indicatorCode
     * @param monthly
     * @param userIds
     * @return
     */
    List<EvalIndicatorValue> getStaffIndicatorReportData(@Param("indicatorCode") String indicatorCode,
                                                         @Param("monthly") YearMonth monthly,
                                                         @Param("userIds") Set<Long> userIds,
                                                         @Param("dimensionType") Integer dimensionType);

    /**
     * 获取指标原始上报记录
     *
     * @param indicatorCode
     * @param monthly
     * @param shopIds
     * @return
     */
    List<EvalIndicatorValue> getShopIndicatorReportData(@Param("indicatorCode") String indicatorCode,
                                                         @Param("monthly") YearMonth monthly,
                                                         @Param("shopIds") Set<Long> shopIds,
                                                         @Param("dimensionType") Integer dimensionType);
}
