package cn.fw.morax.dao.kpi;

import cn.fw.morax.domain.db.kpi.IndicatorUserStageValue;
import cn.fw.morax.domain.db.kpi.IndicatorUserValue;
import cn.fw.morax.domain.vo.kpi.IndicatorUserStageValueVO;
import cn.fw.morax.domain.vo.kpi.IndicatorUserValueVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.time.YearMonth;
import java.util.List;
import java.util.Set;

/**
 * 用户指标上报数据
 *
 * @author : kurisu
 * @version : 2.0
 * @className : IndicatorUserValueDao
 * @description : 用户指标上报数据
 * @date : 2022-12-15 11:22
 */
@Repository
public interface IndicatorUserStageValueDao extends BaseMapper<IndicatorUserStageValue> {

    /**
     * 获取指标原始上报记录
     *
     * @param indicatorCode
     * @param monthly
     * @param userIds
     * @return
     */
    List<IndicatorUserStageValueVO> getReportData(@Param("indicatorCode") String indicatorCode,
                                                  @Param("monthly") YearMonth monthly,
                                                  @Param("userIds") Set<Long> userIds,
                                                  @Param("shopIds") Set<Long> shopIds);

}
