package cn.fw.morax.dao.salary;

import cn.fw.morax.domain.db.salary.SalaryConfirm;
import cn.fw.morax.domain.enums.SalaryConfirmStatusEnum;
import cn.fw.morax.domain.vo.salary.SalaryConfirmVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author : kurisu
 * @className : SalaryConfirmDao
 * @description : 薪酬确认
 * @date: 2022-04-06 14:50
 */
@Repository
public interface SalaryConfirmDao extends BaseMapper<SalaryConfirm> {

    Integer getCountShopNoConfirm(@Param("shopId") Long shopId,
                                  @Param("confirmedStatus") SalaryConfirmStatusEnum confirmedStatus,
                                  @Param("excludeStaffIds") List<Long> excludeStaffIds);

    List<SalaryConfirmVO> getShopSalaryConfirm(@Param("shopId") Long shopId,
                                               @Param("confirmedStatus") SalaryConfirmStatusEnum confirmedStatus);
}
