package cn.fw.morax.dao.salary;

import cn.fw.morax.domain.db.salary.SalaryGroupProjectSettin;
import cn.fw.morax.domain.vo.salary.SalaryGroupProjectSettinVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

/**
 * @author : kurisu
 * @className : SalaryGroupProjectSettinDao
 * @description : 薪酬组薪酬项配置
 * @date: 2022-04-06 14:54
 */
@Repository
public interface SalaryGroupProjectSettinDao extends BaseMapper<SalaryGroupProjectSettin> {


    /**
     * 获取薪酬匹配的阶梯信息
     *
     * @param salaryPoolId
     * @param salaryGroupProjectId
     * @return
     */
    List<SalaryGroupProjectSettinVO> getHitSettings(@Param("salaryPoolId") Long salaryPoolId,
                                                   @Param("salaryGroupProjectId") Long salaryGroupProjectId,
                                                    @Param("dataDate") final Date dataDate);
}
