package cn.fw.morax.domain.bo.eval;

import cn.fw.morax.domain.enums.EvalScopeEnum;
import cn.fw.morax.domain.enums.ScoreWayEnum;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Date;
import java.util.List;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : KpiIndicatorBO
 * @description : 绩效指标bo
 * @date : 2022-04-11 15:25
 */
@Data
@EqualsAndHashCode
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class EvalGroupUserShop {
    /**
     * 考评范围; 1:门店考评 2:人员考评
     */
    private EvalScopeEnum scopeType;

    /**
     * 考评id
     */
    private Long evalId;

    /**
     * 考评组配置id
     */
    private Long evalGroupId;

//    /**
//     * 考评组配置id
//     */
//    private Long evalGroupIndicatorId;

    /**
     * 考评池id
     */
    private Long poolId;
    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 门店id
     */
    private Long shopId;

    /**
     * 名称
     */
    private String name;

    /**
     * 用户id、门店id
     */
    private Long referId;

    /**
     * 数据开始日期
     */
    private LocalDate beginDate;

    /**
     * 数据日期
     */
    private LocalDate dataDate;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 指标总得分
     */
    private BigDecimal score;

    /**
     * 奖惩
     */
    private BigDecimal reward;

    /**
     * 是否计不入考评考核
     */
    private Boolean ignored;

    /**
     * 指标总分
     */
    private BigDecimal indicatorTotalScore;

    /**
     * 指标奖惩
     */
    private BigDecimal evalGroupRewardAmount;

    /**
     * 满足排名条件的条件id
     */
    private List<Long> meetRankCondIds;

}
