package cn.fw.morax.domain.bo.kpi;

import cn.fw.morax.domain.enums.ScoreWayEnum;
import lombok.*;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : KpiIndicatorBO
 * @description : 绩效指标bo
 * @date : 2022-04-11 15:25
 */
@Data
@EqualsAndHashCode
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class KpiIndicatorBO {
    /**
     * 绩效组指标配置id
     */
    private Long kpiGroupIndicatorId;
    /**
     * 绩效组id
     */
    private Long kpiGroupId;
    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 岗位名称
     */
    private String postName;
    /**
     * 基础绩效分
     */
    private Integer baseScore;
    /**
     * 得分方式;1: 阶梯得分 2:普通得分
     */
    private ScoreWayEnum scoreWay;
    /**
     * 集团id
     */
    private Long groupId;
}
