package cn.fw.morax.domain.db;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.common.data.mybatis.handler.IntegerListTypeHandler;
import cn.fw.common.web.annotation.LoginContextField;
import cn.fw.morax.domain.enums.CombineIndicatorTypeEnum;
import cn.fw.morax.domain.enums.DataScopeTypeEnum;
import cn.fw.morax.domain.enums.DataTypeEnum;
import cn.fw.morax.domain.enums.IndicatorCodeTypeEnum;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * <p>
 * 组合指标
 * </p>
 *
 * @author jiangchao
 * @since 2023-03-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName(autoResultMap = true)
public class CombineIndicator extends BaseAuditableTimeEntity<CombineIndicator, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 指标编号
     */
    private String combineCode;

    /**
     * 组合指标名称
     */
    private String name;

    /**
     * 台阶数据类型；1:数量 2:百分比 3:金额
     */
    private DataTypeEnum laddersType;

    /**
     * 数据范围类型; 1. 人员, 2.门店
     */
    @TableField(typeHandler = IntegerListTypeHandler.class)
    private List<Integer> dataScopeTypes;


    /**
     * 适用范围类型；1：绩效组 2：薪酬组 3：考评组
     */
//    @TableField(typeHandler = IntegerListTypeHandler.class)
//    private List<Integer> applyTypes;

    /**
     * 集团id
     force     */
    private Long groupId;

    /**
     * 启用/禁用;
     * 0:禁用 1:启用
     */
    private Boolean enable;

    /**
     * 组合指标类型（1.绩效组指标组合，2，考评指标组合）
     */
    private CombineIndicatorTypeEnum combineType;

    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;


}
