package cn.fw.morax.domain.db;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.common.data.mybatis.handler.LongListTypeHandler;
import cn.fw.morax.domain.db.salary.SalaryGroupProjectTargetHitLog;
import cn.fw.morax.domain.enums.EvalTypeEnum;
import cn.fw.morax.domain.enums.SettingDraftStatusEnum;
import cn.fw.morax.domain.enums.SettingDraftTypeEnum;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 草稿
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(autoResultMap = true)
public class SettingDraft extends BaseAuditableTimeEntity<SettingDraft, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 名称
     */
    private String name;

    /**
     * 草稿类型; 1:考评 2: 绩效 3: 薪酬
     */
    private SettingDraftTypeEnum type;

    /**
     * 考评类型; 1:活动考评 2:其他考评
     */
    private EvalTypeEnum evalType;

    /**
     * 草稿状态 1:未发布 2:发布待审批 3:审批拒绝 4:审批同意 5:撤销审批
     */
    private SettingDraftStatusEnum status;

    /**
     * 关联id
     */
    private Long unionId;

    /**
     * 岗位id
     */
    private Long postId;

    /**
     * 门店id
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    private List<Long> shopIds;
    /**
     * 岗位id
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    private List<Long> postIds;

    /**
     * 生效时间
     */
    private LocalDate beginTime;

    /**
     * 内容【json】
     */
    private String content;

    /**
     * 基础内容【json】
     */
    private String baseInfo;

    /**
     * 关联id
     */
    private Long groupId;

    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;


}
