package cn.fw.morax.domain.db;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.ResignExamineStatusEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.YearMonth;

/**
 * 绩效校验离职员工数据
 *
 * @author : kurisu
 * @version : 2.0
 * @className : UserResignExamine
 * @description : 绩效校验离职员工数据
 * @date : 2022-12-29 16:38
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class UserResignExamine extends BaseAuditableTimeEntity<UserResignExamine, Long> {
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 用户名称
     */
    private String userName;
    /**
     * 在职门店
     */
    private Long shopId;
    /**
     * 数据月度
     */
    private YearMonth monthly;
    /**
     * 处理状态
     */
    private ResignExamineStatusEnum status;
}
