package cn.fw.morax.domain.db.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.common.data.mybatis.handler.LongListTypeHandler;
import cn.fw.common.data.mybatis.handler.StringListTypeHandler;
import cn.fw.morax.domain.db.kpi.KpiGroupIndicatorLadders;
import cn.fw.morax.domain.enums.EvalScopeEnum;
import cn.fw.morax.domain.enums.EvalTypeEnum;
import cn.fw.morax.domain.enums.SettingStatusEnum;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.Future;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 考评组
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(autoResultMap = true)
public class EvalGroup extends BaseAuditableTimeEntity<EvalGroup, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 考评排名组id
     */
    private Long evalGroupRankId;

    /**
     * 考评阶段id
     */
    private Long evalGroupRankStageId;

    /**
     * 考评组编码
     */
    private String egc;

    /**
     * 适用岗位ids
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    private List<Long> postIds;

    /**
     * 适用岗位名称
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> postNames;

    /**
     * 适用门店ids
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    private List<Long> shopIds;

    /**
     * 适用门店名称
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> shopNames;

    /**
     * 包含指标数量
     */
    private Integer indicatorNum;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;


}
