package cn.fw.morax.domain.db.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.EvalScopeEnum;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * 指标命中记录
 *
 * @author : kurisu
 * @version : 2.0
 * @className : KpiGroupIndicatorHitLog
 * @description : 指标命中记录
 * @date : 2022-12-13 10:27
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class EvalGroupIndicatorHitLog extends BaseAuditableTimeEntity<EvalGroupIndicatorHitLog, Long> {
    /**
     * 考评组指标id
     */
    private Long evalGroupIndicatorId;
    /**
     * 考评组指标阶梯id
     */
    private Long evalGroupIndicatorLaddersId;
    /**
     * 员工id、门店id
     */
    private Long poolId;

    /**
     * 考评范围; 1:门店考评 2:人员考评
     */
    private EvalScopeEnum scopeType;
//    /**
//     * 绩效值
//     */
//    private BigDecimal kpiValue;

    /**
     * 命中的台阶指标值
     */
    private BigDecimal hitLadderValue;
    /**
     * 命中的提成指标值
     */
    private BigDecimal hitCommissionValue;

    /**
     * 数据日期
     */
    private LocalDate dataDate;
    /**
     * 集团id
     */
    private Long groupId;

    private Boolean yn;
}
