package cn.fw.morax.domain.db.eval;

import cn.fw.common.data.entity.BaseAuditableEntity;
import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.common.data.entity.BaseAuditableUserEntity;
import cn.fw.common.data.mybatis.handler.StringListTypeHandler;
import cn.fw.morax.domain.enums.EvalScopeEnum;
import cn.fw.morax.domain.enums.EvalTypeEnum;
import cn.fw.morax.domain.enums.SettingStatusEnum;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 考评组排名配置
 * </p>
 *
 * @author jiangchao
 * @since 2023-03-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName(autoResultMap = true)
public class EvalGroupRank extends BaseAuditableTimeEntity<EvalGroupRank, Long> {

    /**
     * 考评排名组名称
     */
    private String name;

    /**
     * 状态;1:审批中 2:待生效 3:生效中 4:已失效 5:草稿
     */
    private SettingStatusEnum status;

    /**
     * 多阶段
     */
    private Boolean multiStage;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 调整原因
     */
    private String reason;

    /**
     * 附件;fid逗号隔开
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> attachment;

    /**
     * 生效时间
     */
    private LocalDate beginTime;

    /**
     * 结束时间
     */
    private LocalDate overTime;

    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;

}
