package cn.fw.morax.domain.db.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.common.data.mybatis.handler.LongListTypeHandler;
import cn.fw.common.data.mybatis.handler.StringListTypeHandler;
import cn.fw.morax.domain.enums.EvalScopeEnum;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * <p>
 * 考评奖惩
 * </p>
 *
 * @author jiangchao
 * @since 2023-05-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName(autoResultMap = true)
public class EvalGroupRewardDim extends BaseAuditableTimeEntity<EvalGroupRewardDim, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 考评组配置id
     */
    private Long evalGroupId;

    /**
     * 考评阶段id
     */
    private Long evalGroupRankStageId;

    /**
     * 维度类型 1：人员 2：门店
     */
    private EvalScopeEnum type;

    /**
     * 适用岗位ids
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    private List<Long> postIds;

    /**
     * 适用岗位名称
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> postNames;

    /**
     * 适用门店ids
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    private List<Long> shopIds;

    /**
     * 适用门店名称
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> shopNames;

    /**
     * 门店奖惩分配角色
     */
    private String distRoleCode;

    /**
     * 门店奖惩分配角色名称
     */
    private String distRoleName;

    /**
     * 逻辑删除
     */
    private Boolean yn;

}
