package cn.fw.morax.domain.db.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.DimensionTypeEnum;
import cn.fw.morax.domain.enums.IndicatorValueTypeEnum;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * <p>
 * 考评指标导入记录
 * </p>
 *
 * @author jiangchao
 * @since 2023-01-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(autoResultMap = true)
@Accessors(chain = true)
public class EvalIndicatorImportRecord extends BaseAuditableTimeEntity<EvalIndicatorImportRecord, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 导入人员id
     */
    private Long importUserId;

    /**
     * 导入人员名称
     */
    private String importUserName;

//    /**
//     * 门店id
//     */
//    private Long shopId;
//
//    /**
//     * 门店名称
//     */
//    private String shopName;

    /**
     * 维度类型 1：人员 2：门店
     */
    private DimensionTypeEnum dimensionType;

    /**
     * 指标编码
     */
    private String indicatorCode;

    /**
     * 指标库名称
     */
    private String indicatorName;

//    /**
//     * 类型：1: 百分比 2:数量 3:条件值 4:金额
//     */
//    private IndicatorValueTypeEnum valueType;

    /**
     * 上报时间
     */
    private LocalDate uploadTime;

    /**
     * 导入条数
     */
    private Integer num;

    /**
     * 成功导入条数
     */
    private Integer successNum;

    /**
     * 失败导入条数
     */
    private Integer errorNum;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;

}
