package cn.fw.morax.domain.db.eval;

import cn.fw.common.data.entity.BaseEntity;
import cn.fw.morax.domain.enums.IndicatorCodeTypeEnum;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDate;

/**
 * <p>
 * 报表绩效排名组编码
 * </p>
 *
 * @author jiangchao
 * @since 2023-03-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName(autoResultMap = true)
public class EvalShopRankCodeReport extends BaseEntity<EvalShopRankCodeReport, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 报表考评排名组id
     */
    private Long evalShopRankReportId;

    /**
     * 考评指标id
     */
    private Long evalGroupIndicatorId;

    /**
     * 编码
     */
    private String code;

    /**
     * 编码类型 1：绩效指标 2：考评指标 3：组合指标
     */
    private IndicatorCodeTypeEnum codeType;

    /**
     * 指标名称
     */
    private String indicatorName;

    /**
     * 上一级编码，第一级为空
     */
    private String parentCode;

    /**
     * 顺序
     */
    private Integer orderNum;

    private LocalDate dataDate;


}
