package cn.fw.morax.domain.db.eval;

import cn.fw.common.data.entity.BaseEntity;
import cn.fw.morax.domain.enums.IndicatorCodeTypeEnum;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * <p>
 * 报表编码数据
 * </p>
 *
 * @author jiangchao
 * @since 2023-03-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName(autoResultMap = true)
public class EvalShopValueReport extends BaseEntity<EvalShopValueReport, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 报表id
     */
    private Long evalShopReportId;

    /**
     * 编码
     */
    private String code;

    /**
     * 编码类型
     */
    private IndicatorCodeTypeEnum codeType;

    /**
     * 值
     */
    private BigDecimal value;

    /**
     * 日期
     */
    private LocalDate dataDate;

    public EvalShopValueReport() {
    }

    public EvalShopValueReport(Long evalShopReportId, String code, IndicatorCodeTypeEnum codeType, BigDecimal value, LocalDate dataDate) {
        this.evalShopReportId = evalShopReportId;
        this.code = code;
        this.codeType = codeType;
        this.value = value;
        this.dataDate = dataDate;
    }
}
