package cn.fw.morax.domain.db.eval;

import cn.fw.common.data.entity.BaseEntity;
import cn.fw.common.data.mybatis.handler.LongListTypeHandler;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDate;
import java.time.YearMonth;
import java.util.List;

/**
 * <p>
 * 报表绩效排名组
 * </p>
 *
 * @author jiangchao
 * @since 2023-03-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName(autoResultMap = true)
public class EvalUserRankReport extends BaseEntity<EvalUserRankReport, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 考评排名组id
     */
    private Long rankId;

    /**
     * 考评排名组名称
     */
    private String rankName;

    /**
     * 考评组id
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    private List<Long> evalGroupIds;

    /**
     * 考评所有门店id
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    private List<Long> shopIds;

    /**
     * 集团id
     */
    private Long groupId;

    private LocalDate dataDate;

    /**
     * 月份
     */
    private YearMonth monthly;

}
