package cn.fw.morax.domain.db.eval;

import cn.fw.common.data.entity.BaseEntity;
import cn.fw.morax.domain.enums.IndicatorCodeTypeEnum;
import cn.fw.morax.domain.enums.ReportDimensionEnum;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.YearMonth;

/**
 * <p>
 * 报表编码数据
 * </p>
 *
 * @author jiangchao
 * @since 2023-03-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName(autoResultMap = true)
public class EvalUserReport extends BaseEntity<EvalUserReport, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 报表考评排名组id
     */
    private Long evalUserRankReportId;

    /**
     * 维度
     */
    private ReportDimensionEnum dimension;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 岗位id
     */
    private Long postId;

    /**
     * 岗位名称
     */
    private String postName;

    /**
     * 门店id
     */
    private Long shopId;

    /**
     * 门店名称
     */
    private String shopName;

    /**
     * 是否纳入计算
     */
    private Boolean inclusion;

    /**
     * 日期
     */
    private LocalDate dataDate;

//    /**
//     * 月份
//     */
//    private YearMonth monthly;

    /**
     * 绩效池id
     */
    private Long evalUserPoolId;

    public EvalUserReport() {
    }

    public EvalUserReport(ReportDimensionEnum dimension, Long shopId, String shopName, LocalDate dataDate) {
        this.dimension = dimension;
        this.shopId = shopId;
        this.shopName = shopName;
        this.dataDate = dataDate;
    }
}
