package cn.fw.morax.domain.db.kpi;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.DimensionTypeEnum;
import cn.fw.morax.domain.enums.IndicatorValueTypeEnum;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;

/**
 * 用户绩效指标上报数据类
 *
 * @author : kurisu
 * @version : 2.0
 * @className : IndicatorUserValue
 * @description : 用户绩效指标上报数据类
 * @date : 2022-12-15 11:19
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class IndicatorUserStageValue extends BaseAuditableTimeEntity<IndicatorUserStageValue, Long> {
    /**
     * 人员id
     */
    private Long userId;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 指标编码
     */
    private String indicatorCode;
    /**
     * 指标名称
     */
    private String indicatorName;
    /**
     * 维度类型 1：人员 2：门店
     */
    private DimensionTypeEnum dimensionType;
    /**
     * 类型;1: 百分比 2:数量 3:条件值 4:金额 5:工龄
     */
    private IndicatorValueTypeEnum valueType;
    /**
     * 指标业务值
     * 指标值;jons字符串 map类型
     */
    private String indicatorValue;
    /**
     * 数据开始日期
     */
    private LocalDate beginDate;
    /**
     * 数据结束日期
     */
    private LocalDate endDate;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 逻辑删除
     */
    private Boolean yn;
}
