package cn.fw.morax.domain.db.kpi;

import cn.fw.common.data.entity.BaseAuditableEntity;
import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.common.data.mybatis.handler.LongListTypeHandler;
import cn.fw.common.data.mybatis.handler.StringListTypeHandler;
import cn.fw.morax.domain.enums.KpiAssessTypeEnum;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 人员质量考核配置
 * </p>
 *
 * @author jiangchao
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName(autoResultMap = true)
public class KpiAssess extends BaseAuditableEntity<KpiAssess, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 人员质量考核类型; 1:D级员工 2:转正后保护期员工
     */
    private KpiAssessTypeEnum type;
    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 岗位名称
     */
    private String postName;
    /**
     * 适用门店ids
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    private List<Long> shopIds;
    /**
     * 适用门店名称
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> shopNames;

    /**
     * 排名
     */
    private Integer rank;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;

    /**
     * 备份
     */
    private Boolean backup;

}
