package cn.fw.morax.domain.db.kpi;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.KpiAssessTypeEnum;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.YearMonth;

/**
 * <p>
 * 人员质量考核奖惩
 * </p>
 *
 * @author jiangchao
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName(autoResultMap = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class KpiAssessPenalty extends BaseAuditableTimeEntity<KpiAssessPenalty, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 评测id
     */
    private Long kpiAssessId;
    /**
     * 评测详情id
     */
    private Long kpiAssessDetailId;

    /**
     * 角色码
     */
    private String roleCode;

    /**
     * 评测用户名
     */
    private String userName;

    /**
     * 评测用户id
     */
    private Long userId;

    /**
     * 人员质量考核类型; 1:D级员工 2:转正后保护期员工
     */
    private KpiAssessTypeEnum type;

    /**
     * 排名
     */
    private Integer rank;

    /**
     * 奖惩绩效分
     */
    private BigDecimal score;

    /**
     * 奖惩金额
     */
    private BigDecimal award;

    /**
     * 数据日期
     */
    private LocalDate dataDate;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 预计奖惩
     */
    private Boolean expectedPenalty;

    /**
     * 逻辑删除
     */
//    @TableLogic
    private Boolean yn;

}
