package cn.fw.morax.domain.db.kpi;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.DataTypeEnum;
import cn.fw.morax.domain.enums.IndicatorCodeTypeEnum;
import cn.fw.morax.domain.enums.ScoreWayEnum;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 绩效组指标项
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class KpiGroupIndicator extends BaseAuditableTimeEntity<KpiGroupIndicator, Long> {
    /**
     * 绩效组配置id
     */
    private Long kpiGroupId;
    /**
     * 指标库名称
     */
    private String name;

    /**
     * 参数别名
     */
    private String paramAlias;
    /**
     * 基础绩效分
     */
    private Integer baseScore;
    /**
     * 得分方式;1: 阶梯得分 2:普通得分
     */
    private ScoreWayEnum scoreWay;

    /**
     * 数据类型；1:数量 2:百分比 3:金额
     */
    private DataTypeEnum laddersType;

    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;

    /**
     * 台阶得分对应的组合指标编码[codeType=3，指标组合必传]
     */
    private String code;

    /**
     * 台阶得分对应的 指标类型（1.指标，2，考评指标 3，指标组合[包含组合指标或考评组合指标]））
     */
    private IndicatorCodeTypeEnum codeType;


}