package cn.fw.morax.domain.db.kpi;

import cn.fw.common.data.entity.BaseAuditableEntity;
import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.StarLevelEnum;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 排名星级评定阶梯
 * </p>
 *
 * @author jiangchao
 * @since 2022-09-26
 */
@Data
@TableName(autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class KpiGroupRankStarLadders extends BaseAuditableTimeEntity<KpiGroupRankStarLadders, Long> {

    /**
     * 绩效组排名配置id
     */
    private Long kpiGroupRankId;

    /**
     * 等级;1:A 2:B 3:C 4:D
     */
    private StarLevelEnum level;

    /**
     * 下限
     */
    private BigDecimal lower;

    /**
     * 上限
     */
    private BigDecimal upper;

    /**
     * 逻辑删除
     */
    private Boolean yn;

}
