package cn.fw.morax.domain.db.kpi;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.YearMonth;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : KpiRewardPoint
 * @description : 绩效分扣除纪录
 * @date : 2022-04-24 10:15
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@TableName(autoResultMap = true)
public class KpiRewardPoint extends BaseAuditableTimeEntity<KpiRewardPoint, Long> {
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 在职门店id
     */
    private Long shopId;
    /**
     * 数据产生时间
     */
    private LocalDateTime occurredTime;
    /**
     * 奖惩分数
     */
    private BigDecimal scorePoint;
    /**
     * 月度
     */
    private YearMonth monthly;
    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 类型id
     */
    private Long typeId;

    /**
     * 类型名称
     */
    private String typeName;

    /**
     * 业务id
     * 查询详情是使用
     */
    private String dataId;
}
