package cn.fw.morax.domain.db.kpi;

import cn.fw.common.data.mybatis.handler.LongListTypeHandler;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author jiangchao
 * @since 2023-05-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName(autoResultMap = true)
public class KpiStageMqLog extends Model<KpiStageMqLog> {

    private static final long serialVersionUID = 1L;
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 编码
     */
    private String indicatorCode;

    /**
     * 考评排名组id
     */
    private Long evalGroupRankId;

    /**
     * 考评组id
     */
    private Long evalGroupId;

    /**
     * 开始时间
     */
    private LocalDate beginTime;

    /**
     * 结束时间
     */
    private LocalDate endTime;

    /**
     * 适用门店ids
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    private List<Long> shopIds;

    /**
     * 适用人员ids
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    private List<Long> userIds;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;


}
