package cn.fw.morax.domain.db.kpi;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.StarLevelEnum;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 星级评定阶梯
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class KpiStarLadders extends BaseAuditableTimeEntity<KpiStarLadders, Long> {
    /**
     * 绩效组配置id
     */
    private Long kpiGroupId;
    /**
     * 等级;1:A 2:B 3:C 4:D
     */
    private StarLevelEnum level;
    /**
     * 下限
     */
    private BigDecimal lower;
    /**
     * 上限
     */
    private BigDecimal upper;
    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;
}