package cn.fw.morax.domain.db.kpi;

import cn.fw.common.data.entity.BaseEntity;
import cn.fw.morax.domain.enums.IndicatorCodeTypeEnum;
import cn.fw.morax.domain.enums.ReportDimensionEnum;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * <p>
 * 报表编码数据
 * </p>
 *
 * @author jiangchao
 * @since 2023-03-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName(autoResultMap = true)
public class ReportKpiDimValue extends BaseEntity<ReportKpiDimValue, Long> {

    /**
     * 维度
     */
    private ReportDimensionEnum dimension;

    /**
     * 绩效排名组id
     */
    private Long reportKpiRankId;

    /**
     * 维度id
     */
    private Long referId;

    /**
     * 绩效池id(用户维度跳转用)
     */
    private Long kpiPoolId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 岗位id
     */
    private Long postId;

    /**
     * 岗位名称
     */
    private String postName;

    /**
     * 门店id
     */
    private Long shopId;

    /**
     * 门店名称
     */
    private String shopName;

    /**
     * 日期
     */
    private LocalDate dataDate;

    /**
     * 是否纳入计算
     */
    private Boolean inclusion;

    /**
     * 绩效得分率(N)
     */
    private BigDecimal kpiScoreRatio;

}
