package cn.fw.morax.domain.db.kpi;

import cn.fw.common.data.entity.BaseEntity;
import cn.fw.common.data.mybatis.handler.LongListTypeHandler;
import cn.fw.common.data.mybatis.handler.StringListTypeHandler;
import cn.fw.morax.domain.enums.ReportDimensionEnum;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 报表编码数据
 * </p>
 *
 * @author jiangchao
 * @since 2023-03-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName(autoResultMap = true)
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ReportKpiDimValueExtra extends BaseEntity<ReportKpiDimValueExtra, Long> {

    /**
     * 薪酬报表id
     */
    private Long reportKpiDimValueId;

    /**
     * 适用门店ids
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    private List<Long> shopIds;

    /**
     * 人员ids
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    private List<Long> staffIds;

    /**
     * 适用角色编码
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> roleCodes;
    /**
     * 适用角色名称
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> roleNames;

}
