package cn.fw.morax.domain.db.kpi;

import cn.fw.common.data.entity.BaseEntity;
import cn.fw.common.data.mybatis.handler.LongListTypeHandler;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.YearMonth;
import java.util.List;

/**
 * <p>
 * 报表绩效排名组
 * </p>
 *
 * @author jiangchao
 * @since 2023-03-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName(autoResultMap = true)
public class ReportKpiRank extends BaseEntity<ReportKpiRank, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 绩效排名组id
     */
    private Long rankId;

    /**
     * 绩效排名组名称
     */
    private String rankName;

    /**
     * 绩效组id
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    private List<Long> kpiGroupIds;

    /**
     * 绩效组信息
     */
    private String kpiGroupInfo;

    /**
     * 绩效所有门店id
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    private List<Long> shopIds;

    /**
     * 绩效所有用户id
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    private List<Long> userIds;


    /**
     * 月份
     */
    private YearMonth monthly;


    private LocalDate dataDate;

    /**
     * 集团id
     */
    private Long groupId;

}
