package cn.fw.morax.domain.db.salary;

import cn.fw.common.data.entity.BaseEntity;
import cn.fw.common.data.mybatis.handler.LongListTypeHandler;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDate;
import java.time.YearMonth;
import java.util.List;

/**
 * <p>
 * 报表薪酬排名组
 * </p>
 *
 * @author jiangchao
 * @since 2023-04-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName(autoResultMap = true)
public class ReportSalary extends BaseEntity<ReportSalary, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 薪酬名称
     */
    private String salaryName;

    /**
     * 薪酬组id
     */
    private Long salaryGroupId;

    /**
     * 绩效所有门店id
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    private List<Long> shopIds;

    /**
     * 数据月
     */
    private YearMonth monthly;

    private LocalDate dataDate;

    /**
     * 集团id
     */
    private Long groupId;


}
