package cn.fw.morax.domain.db.salary;

import cn.fw.common.data.entity.BaseEntity;
import cn.fw.morax.domain.enums.IndicatorCodeTypeEnum;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * <p>
 * 各个指标对应的各个维度(用户和门店)数据
 * </p>
 *
 * @author jiangchao
 * @since 2023-04-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName(autoResultMap = true)
public class ReportSalaryDimValue extends BaseEntity<ReportSalaryDimValue, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 报表编码维度数据表id
     */
    private Long reportSalaryDimId;

    /**
     * 对应指标id
     */
    private Long salaryGroupProjectId;

    /**
     * 上一级编码，第一级为空
     */
    private String parentCode;

    /**
     * 编码
     */
    private String code;

    /**
     * 编码类型
     */
    private IndicatorCodeTypeEnum codeType;

    /**
     * 值
     */
    private BigDecimal value;

//    /**
//     * 描述值
//     */
//    private String desc;

    /**
     * 日期
     */
    private LocalDate dataDate;


}
