package cn.fw.morax.domain.db.salary;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.YearMonth;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 薪酬项目配置
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SalaryClosure extends BaseAuditableTimeEntity<SalaryClosure, Long> {
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 月份
     */
    private YearMonth monthly;
    /**
     * 关单时间
     */
    private LocalDate closureTime;
    /**
     * 申述结束时间
     */
    private LocalDate appealEndTime;
    /**
     * 审批申述结束时间
     */
    private LocalDate approveEndTime;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 是否生成薪酬确认待办
     */
    private Boolean createConfirmTodo;
    /**
     * 是否生成工资单
     */
    private Boolean createSheet;
    /**
     * 门店绩效关单
     */
    private Boolean closureKpi;
    /**
     * 逻辑删除
     */
    private Boolean yn;
}