package cn.fw.morax.domain.db.salary;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.ParamTypeEnum;
import cn.fw.morax.domain.enums.TargetCalcTypeEnum;
import cn.fw.morax.domain.enums.TargetTypeEnum;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * <p>
 * 薪酬组薪酬项目参数
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName(autoResultMap = true)
public class SalaryGroupProjectParam extends BaseAuditableTimeEntity<SalaryGroupProjectParam, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 薪酬组id
     */
    private Long salaryGroupId;

    /**
     * 薪酬组项目id
     */
    private Long salaryGroupProjectId;

    /**
     * 参数类型（1.台阶，2，提成）
     */
    private ParamTypeEnum paramType;

    /**
     * 指标编码
     */
    private String indicatorCode;

    /**
     * 指标库名称
     */
    private String indicatorName;

    /**
     * 目标值类型; 1:无 2:百分比 3:金额 4:台数
     */
    private TargetTypeEnum targetType;

    /**
     * 目标计算类型;1: 目标值计算 2:最低要求计算
     */
    private TargetCalcTypeEnum targetCalcType;

    /**
     * 目标值
     */
    private BigDecimal targetValue;

    /**
     * 占比
     */
    private BigDecimal proportion;

    /**
     * 是否封顶
     */
    private Boolean cap;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;

}
