package cn.fw.morax.domain.db.salary;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.IndicatorTypeEnum;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * <p>
 * 薪酬指标达成目标记录
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(autoResultMap = true)
public class SalaryGroupProjectTargetHitLog extends BaseAuditableTimeEntity<SalaryGroupProjectTargetHitLog, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 薪酬项目、前置条件 配置id
     */
    private Long referId;

    /**
     * 1:薪酬项目 2:前置条件
     */
    private IndicatorTypeEnum targetType;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 原始值
     */
    private BigDecimal value;
    /**
     * 达成目标
     */
    private BigDecimal reachValue;

    /**
     * 数据日期
     */
    private LocalDate dataDate;

    /**
     * 集团
     */
    private Long groupId;

    @TableLogic
    private Boolean yn;


}
