package cn.fw.morax.domain.dto;

import cn.fw.morax.domain.enums.DataTypeEnum;
import cn.fw.morax.domain.enums.IndicatorCodeTypeEnum;
import cn.fw.morax.domain.enums.TargetTypeEnum;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 组合指标参数
 * </p>
 *
 * @author jiangchao
 * @since 2023-03-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class CombineIndicatorParamDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 指标编码
     */
    @NotNull(message = "指标编码不能为空")
    private String code;

    /**
     * 指标库名称
     */
    @NotNull(message = "指标库名称不能为空")
    private String name;

    /**
     * 指标类型（1.指标，2，考评指标）
     */
    @NotNull(message = "指标类型不能为空")
    private IndicatorCodeTypeEnum codeType;

//    /**
//     * 数据类型；1：数量 2：百分比 3：金额
//     */
//    @NotNull(message = "数据类型不能为空")
//    private DataTypeEnum dataType;
//
//    /**
//     * 绩效目标值类型; 1:无 2:百分比 3:金额 4:台数
//     */
//    @NotNull(message = "绩效目标值类型不能为空")
//    private TargetTypeEnum targetType;




}
