package cn.fw.morax.domain.dto.eval;

import cn.fw.morax.domain.vo.eval.EvalGroupRewardDimVO;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * <p>
 * 考评组
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class EvalGroupDTO {

    private static final long serialVersionUID = 1L;
    /**
     * 考评组id（前一次）
     */
    private Long id;

    /**
     * 岗位id
     */
//    @NotNull(message = "岗位id不能为空")
    private List<Long> postIds;

    /**
     * 岗位名称
     */
//    @NotBlank(message = "岗位名称不能为空")
    private List<String> postNames;

    /**
     * 适用门店ids
     */
    @NotNull(message = "适用门店id不能为空")
    @Size(min = 1, message = "适用门店id不能为空")
    private List<Long> shopIds;

    /**
     * 适用门店名称
     */
    @NotNull(message = "适用门店名称不能为空")
    @Size(min = 1, message = "适用门店名称不能为空")
    private List<String> shopNames;

    /**
     * 考评指标
     */
    @Valid
    private List<EvalGroupIndicatorDTO> indicators;

    /**
     * 考评奖惩维度
     */
//    @Valid
//    private List<EvalGroupRewardDimDTO> dims;

    /**
     * 人员考评奖惩
     */
    @Valid
    private List<EvalGroupRewardDimDTO> staffRewardDims;

    /**
     * 门店考评奖惩
     */
    @Valid
    private List<EvalGroupRewardDimDTO> shopRewardDims;


}
