package cn.fw.morax.domain.dto.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.common.utils.PublicUtil;
import cn.fw.morax.domain.dto.AbstractLaddersDto;
import cn.fw.morax.domain.dto.kpi.KpiGroupIndicatorLaddersDTO;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * <p>
 * 考评组指标条件得分阶梯
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class EvalGroupIndicatorPreconditionLaddersDTO extends AbstractLaddersDto implements Comparable<EvalGroupIndicatorPreconditionLaddersDTO>{

    private static final long serialVersionUID = 1L;

    /**
     * 得分百分比
     */
    @NotNull(message = "得分百分比不能为空")
    private BigDecimal scorePercent;

    /**
     * 正序排列
     *
     * @param other
     * @return
     */
    @Override
    public int compareTo(EvalGroupIndicatorPreconditionLaddersDTO other) {
        //优先通过下限比较，上限与下限
        if (PublicUtil.isEmpty(this.upper) || PublicUtil.isEmpty(other.getUpper())) {
            return this.lower.compareTo(other.getLower());
        } else {
            return this.upper.compareTo(other.getUpper());
        }
    }

    @Override
    public String getBusinessName() {
        return "指标项得分阶梯";
    }

}
