package cn.fw.morax.domain.dto.eval;

import cn.fw.common.web.annotation.LoginContextField;
import cn.fw.morax.domain.enums.EvalScopeEnum;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.Future;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.time.LocalDate;
import java.time.YearMonth;
import java.util.List;

/**
 * <p>
 * 考评组排名配置
 * </p>
 *
 * @author jiangchao
 * @since 2022-09-26
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EvalGroupRankQueryDto {

    /**
     * 考评组id
     */
    @NotNull(message = "考评组id不能为空")
    @Size(min = 1, message = "考评组id不能为空")
    private List<Long> evalGroupIds;

    /**
     * 时间
     */
    private YearMonth monthly;

}
