package cn.fw.morax.domain.dto.eval;

import cn.fw.morax.domain.enums.EvalScopeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * <p>
 * 考评奖惩
 * </p>
 *
 * @author jiangchao
 * @since 2023-05-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class EvalGroupRewardDimDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 维度类型 1：人员 2：门店
     */
//    @NotNull(message = "维度不能为空")
//    private EvalScopeEnum type;

    /**
     * 适用岗位ids
     */
    private List<Long> postIds;

    /**
     * 适用岗位名称
     */
    private List<String> postNames;

    /**
     * 适用门店ids
     */
    private List<Long> shopIds;

    /**
     * 适用门店名称
     */
    private List<String> shopNames;

    /**
     * 门店奖惩分配角色
     */
    private String distRoleCode;

    /**
     * 门店奖惩分配角色名称
     */
    private String distRoleName;

    /**
     * 考评奖惩
     */
    @Valid
    private List<EvalGroupRewardDTO> rewards;

}
