package cn.fw.morax.domain.dto.eval;

import cn.fw.morax.common.utils.PublicUtil;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.time.LocalDate;
import java.time.YearMonth;

/**
 * <p>
 * 绩效组排名配置
 * </p>
 *
 * @author jiangchao
 * @since 2022-09-26
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EvalUserRankDTO {

    /**
     * 用户id
     */
//    @NotNull(message = "用户id不能为空")
    private Long userId;

    /**
     * 门店
     */
    @NotNull(message = "门店")
    private Long shopId;

    /**
     * 岗位
     */
    @NotNull(message = "岗位")
    private Long postId;

    /**
     * 考评排名组id
     */
    @NotNull(message = "考评排名组id")
    private Long evalGroupRankId;

    /**
     * 月份
     */
    private YearMonth monthly;

    public void initMonthly() {
        if (PublicUtil.isEmpty(this.monthly)) {
            this.monthly = YearMonth.now();
        }
    }

}
