package cn.fw.morax.domain.dto.kpi;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 人员质量考核配置
 * </p>
 *
 * @author jiangchao
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class KpiAssessDetailDTO {


    /**
     * 考核角色编码
     */
    @NotNull(message = "考核角色编码不能为空")
    @Size(min = 1, message = "考核角色编码不能为空")
    private List<String> roleCodes;

    /**
     * 考核角色名称
     */
    @NotNull(message = "考核角色名称不能为空")
    @Size(min = 1, message = "考核角色名称不能为空")
    private List<String> roleNames;

    /**
     * 惩罚分
     */
    @NotNull(message = "惩罚分不能为空")
    private BigDecimal penaltyScore;

    /**
     * 封顶单人惩罚分
     */
//    @NotNull(message = "封顶单人惩罚分不能为空")
    private BigDecimal capPersonPenaltyScore;

    /**
     * 封顶惩罚分
     */
    @NotNull(message = "封顶惩罚分不能为空")
    private BigDecimal capPenaltyScore;

    /**
     * 惩罚奖励
     */
    @NotNull(message = "惩罚奖励不能为空")
    private BigDecimal penaltyMoney;

    /**
     * 封顶单人惩罚奖励
     */
//    @NotNull(message = "封顶单人惩罚奖励不能为空")
    private BigDecimal capPersonPenaltyMoney;

    /**
     * 封顶惩罚奖励
     */
    @NotNull(message = "封顶惩罚奖励不能为空")
    private BigDecimal capPenaltyMoney;

    /**
     * 奖励分数
     */
//    @NotNull(message = "奖励分数不能为空")
    private BigDecimal awardScore;

    /**
     * 封顶单人奖励分数
     */
//    @NotNull(message = "封顶单人奖励分数不能为空")
    private BigDecimal capPersonAwardScore;

    /**
     * 封顶奖励分数
     */
//    @NotNull(message = "封顶奖励分数不能为空")
    private BigDecimal capAwardScore;

    /**
     * 奖励金额
     */
//    @NotNull(message = "奖励金额不能为空")
    private BigDecimal awardMoney;

    /**
     * 封顶单人奖励金额
     */
//    @NotNull(message = "封顶单人奖励金额不能为空")
    private BigDecimal capPersonAwardMoney;

    /**
     * 封顶奖励金额
     */
//    @NotNull(message = "封顶奖励金额不能为空")
    private BigDecimal capAwardMoney;

    /**
     * 逻辑删除
     */
    private Boolean yn;


}
