package cn.fw.morax.domain.dto.kpi;

import cn.fw.common.web.annotation.LoginContextField;
import cn.fw.morax.domain.enums.KpiAssessTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * <p>
 * 人员质量考核配置
 * </p>
 *
 * @author jiangchao
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class KpiAssessStaffDTO {

//
//    /**
//     * 岗位id
//     */
//    @NotNull(message = "岗位id不能为空")
//    private Long postId;
//
//    /**
//     * 岗位名称
//     */
//    @NotBlank(message = "岗位名称不能为空")
//    private String postName;

    /**
     * 员工名称
     */
    private String staffName;

    /**
     * 适用门店ids
     */
    @NotNull(message = "适用门店id不能为空")
    @Size(min = 1, message = "适用门店id不能为空")
    private List<Long> shopIds;

    /**
     * 适用门店名称
     */
    @NotNull(message = "适用门店名称不能为空")
    @Size(min = 1, message = "适用门店名称不能为空")
    private List<String> shopNames;


    /**
     * 考核角色编码
     */
    @NotNull(message = "考核角色编码不能为空")
    @Size(min = 1, message = "考核角色编码不能为空")
    private List<String> roleCodes;

    /**
     * 考核角色名称
     */
    @NotNull(message = "考核角色名称不能为空")
    @Size(min = 1, message = "考核角色名称不能为空")
    private List<String> roleNames;

}
