package cn.fw.morax.domain.dto.kpi;

import cn.fw.morax.common.utils.PublicUtil;
import cn.fw.morax.domain.dto.AbstractLaddersDto;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 指标项得分阶梯
 */
@Data
public class KpiGroupIndicatorLaddersDTO extends AbstractLaddersDto implements Comparable<KpiGroupIndicatorLaddersDTO>{

    /**
     * 标准分;本阶梯对应标准分
     */
    @NotNull(message = "标准分不能为空")
    @Min(value = 0, message = "标准分不能小于0")
    private Integer standardScore;


    /**
     * 正序排列
     *
     * @param other
     * @return
     */
    @Override
    public int compareTo(KpiGroupIndicatorLaddersDTO other) {
        int result = this.standardScore - other.getStandardScore();
        if (result == 0) {
            //优先通过下限比较，上限与下限
            if (PublicUtil.isEmpty(this.upper) || PublicUtil.isEmpty(other.getUpper())) {
                result = this.lower.compareTo(other.getLower());
            } else {
                result = this.upper.compareTo(other.getUpper());
            }
        }
        return result;
    }

    @Override
    public String getBusinessName() {
        return "指标项得分阶梯";
    }


}