package cn.fw.morax.domain.dto.kpi;

import cn.fw.morax.domain.enums.DataTypeEnum;
import cn.fw.morax.domain.enums.TargetCalcTypeEnum;
import cn.fw.morax.domain.enums.TargetTypeEnum;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author jiangchao
 * @des:
 * @date 2022/12/5 9:29
 */
@Data
public class KpiGroupIndicatorParamDTO {

    /**
     * 指标库id
     */
//    @NotNull(message = "绩效组指标项不能为空")
//    private Long indicatorId;

    /**
     * 指标编码
     */
    @NotNull(message = "指标编码不能为空")
    private String indicatorCode;

    /**
     * 指标库名称
     */
    @NotNull(message = "指标库名称不能为空")
    private String indicatorName;

    /**
     * 占比
     */
    @NotNull(message = "占比不能为空")
    private BigDecimal proportion;

    /**
     * 是否封顶
     */
    @NotNull(message = "是否封顶不能为空")
    private Boolean cap;

    /**
     * 目标计算类型;1: 目标值计算 2:最低要求计算
     */
    private TargetCalcTypeEnum targetCalcType;

    /**
     * 绩效目标值类型; 1:无 2:百分比 3:金额 4:台数
     */
    @NotNull(message = "绩效目标值类型不能为空")
    private TargetTypeEnum targetType;

    /**
     * 目标值
     */
    private BigDecimal targetValue;

    /**
     * 数据类型；1:台数 2:百分比 3:金额
     */
    private DataTypeEnum dataType;

}
