package cn.fw.morax.domain.dto.kpi;

import cn.fw.common.web.annotation.LoginContextField;
import cn.fw.morax.domain.enums.EffectMonthEnum;
import cn.fw.morax.domain.enums.SettingDraftStatusEnum;
import cn.fw.morax.domain.enums.StarEvaluationEnum;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.List;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 绩效组配置
 */
@Data
public class KpiGroupRankBaseInfoDTO {

    /**
     * 岗位id
     */
    @NotNull(message = "岗位id不能为空")
    private Long postId;

    /**
     * 岗位名称
     */
    @NotBlank(message = "岗位名称不能为空")
    private String postName;

    /**
     * 适用门店ids
     */
    @NotNull(message = "适用门店id不能为空")
    @Size(min = 1, message = "适用门店id不能为空")
    private List<Long> shopIds;

    /**
     * 适用门店名称
     */
    @NotNull(message = "适用门店名称不能为空")
    @Size(min = 1, message = "适用门店名称不能为空")
    private List<String> shopNames;

    public KpiGroupRankBaseInfoDTO() {
    }

    public KpiGroupRankBaseInfoDTO(KpiGroupDTO kpiGroupDTO) {
        this.postId = kpiGroupDTO.getPostId();
        this.postName = kpiGroupDTO.getPostName();
        this.shopIds = kpiGroupDTO.getShopIds();
        this.shopNames = kpiGroupDTO.getShopNames();
    }
}