package cn.fw.morax.domain.dto.kpi;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.time.YearMonth;
import java.util.List;

/**
 * <p>
 * 绩效组排名配置
 * </p>
 *
 * @author jiangchao
 * @since 2022-09-26
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class KpiGroupRankConfigQueryDTO {

    /**
     * 绩效组id
     */
    @NotNull(message = "绩效组id不能为空")
    @Size(min = 1, message = "绩效组id不能为空")
    private List<Long> kpiGroupIds;

    /**
     * 时间
     */
    private YearMonth yearMonth;

}
