package cn.fw.morax.domain.dto.kpi;

import cn.fw.common.data.entity.BaseEntity;
import cn.fw.morax.domain.enums.IndicatorCodeTypeEnum;
import cn.fw.morax.domain.enums.ReportDimensionEnum;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * <p>
 * 报表编码数据
 * </p>
 *
 * @author jiangchao
 * @since 2023-03-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ReportKpiDimValueAndValueDTO extends BaseEntity<ReportKpiDimValueAndValueDTO, Long> {

    /**
     * 维度
     */
    private ReportDimensionEnum dimension;

    /**
     * 绩效排名组id
     */
    private Long rankId;

    /**
     * 维度id
     */
    private Long referId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 岗位id
     */
    private Long postId;

    /**
     * 岗位名称
     */
    private String postName;

    /**
     * 门店id
     */
    private Long shopId;

    /**
     * 门店名称
     */
    private String shopName;

    /**
     * 日期
     */
    private LocalDate dataDate;


    //----report_kpi_value 数据

    /**
     * 报表编码维度数据表id
     */
    private Long reportKpiDimId;

    /**
     * 对应指标id
     */
    private Long kpiGroupIndicatorId;

    /**
     * 是否纳入计算
     */
    private Boolean inclusion;

    /**
     * 上一级编码(组合指标才有值)
     */
    private String parentCode;

    /**
     * 编码
     */
    private String code;

    /**
     * 编码类型
     */
    private IndicatorCodeTypeEnum codeType;

    /**
     * 值
     */
    private BigDecimal value;

}
