package cn.fw.morax.domain.dto.query;

import cn.fw.common.page.BasePageQuery;
import cn.fw.common.web.annotation.LoginContextField;
import cn.fw.morax.domain.enums.ApplicableRoleEnum;
import lombok.Data;

import java.util.List;

@Data
public class CombineIndicatorQueryDTO extends BasePageQuery {

    /**
     * 角色编码
     */
    private String roleCode;
    /**
     * 归属系统id
     */
    private Long sysId;

    /**
     * 岗位id
     */
    private Long postId;

    /**
     * 启用/禁用;
     * 0:禁用 1:启用
     */
    private Boolean enable;

    /**
     * 指标名称或编码
     */
    private String keyword;

    /**
     * 全部角色类型
     */
    private List<ApplicableRoleEnum> allRoleTypes;

    /**
     * 集团id
     */
    @LoginContextField(LoginContextField.Name.GROUP_ID)
    private Long groupId;

    /**
     * 是否组合指标
     * 0:否 1:是
     */
    private Boolean combineIndicator;

    /**
     * 是否设置目标
     */
    private Boolean hasTarget;


}
