package cn.fw.morax.domain.dto.query;

import cn.fw.common.page.BasePageQuery;
import cn.fw.common.validator.EnumValue;
import cn.fw.common.web.annotation.LoginContextField;
import cn.fw.morax.domain.enums.EvalScopeEnum;
import cn.fw.morax.domain.enums.SettingStatusEnum;
import lombok.Data;

import java.util.List;

@Data
public class EvalGroupRankQueryDTO extends BasePageQuery {

    /**
     * 考评范围; 1:人员考评 2:门店考评
     */
    @EnumValue(enumClass = EvalScopeEnum.class, valueMethod = "getValue", message = "状态枚举值不正确")
    private Integer scopeType;

    /**
     * 排名组名称
     */
    private String name;

    /**
     * 岗位id
     */
    private Long postId;

    /**
     * 考评组编码
     */
    private List<String> egcs;

    /**
     * 集团id
     */
    @LoginContextField(LoginContextField.Name.GROUP_ID)
    private Long groupId;

}
