package cn.fw.morax.domain.dto.query;

import cn.fw.common.page.BasePageQuery;
import cn.fw.common.web.annotation.LoginContextField;
import cn.fw.morax.common.utils.PublicUtil;
import cn.fw.morax.domain.enums.ApplicableRoleEnum;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.temporal.TemporalAdjusters;
import java.util.List;

@Data
public class EvalIndicatorImportQueryDTO extends BasePageQuery {

    /**
     * 指标编码
     */
    private String indicatorCode;

    /**
     * 导入人员
     */
    private Long userId;

    /**
     * 开始导入时间
     */
    private LocalDate startTime;

    /**
     * 结束导入时间
     */
    private LocalDate endTime;

    /**
     * 集团id
     */
    @LoginContextField(LoginContextField.Name.GROUP_ID)
    private Long groupId;

}
