package cn.fw.morax.domain.dto.query;

import cn.fw.common.page.BasePageQuery;
import cn.fw.common.validator.EnumValue;
import cn.fw.common.web.annotation.LoginContextField;
import cn.fw.morax.domain.enums.SettingStatusEnum;
import lombok.Data;

@Data
public class IncomeCompensationQueryDTO extends BasePageQuery {

    /**
     * 状态;1:审批中 2:待生效 3:生效中 4:已失效
     */
    @EnumValue(enumClass = SettingStatusEnum.class, valueMethod = "getValue", message = "薪酬状态枚举值不正确")
    private Integer status;

    /**
     * 岗位id
     */
    private Long postId;

    /**
     * 集团id
     */
    @LoginContextField(LoginContextField.Name.GROUP_ID)
    private Long groupId;

}
