package cn.fw.morax.domain.dto.query;

import cn.fw.common.web.annotation.LoginContextField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.validation.annotation.Validated;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class KpiGroupRankStaffQueryDTO {

    /**
     * 绩效组id
     */
    @NotNull(message = "绩效组id不能为空", groups = {KpiGroupQuery.class})
    @Size(min = 1, message = "绩效组id不能为空", groups = {KpiGroupQuery.class})
    private List<Long> kpiGroupIds;

    /**
     * 集团id
     */
    @LoginContextField(LoginContextField.Name.GROUP_ID)
    private Long groupId;

    /**
     * 考评组id
     */
    @NotNull(message = "考评组id不能为空", groups = {EvalGroupQuery.class})
    @Size(min = 1, message = "考评组id不能为空", groups = {EvalGroupQuery.class})
    private List<Long> evalGroupIds;

    /**
     * 门店岗位
     */
    @Valid()
    @NotNull(message = "考评组id不能为空", groups = {ShopPostQuery.class})
    @Size(min = 1, message = "考评组id不能为空", groups = {ShopPostQuery.class})
    private List<ShopsPostQueryDTO> shopsPosts;

    /**
     * 绩效组
     */
    public interface KpiGroupQuery {
    }
    /**
     * 考评组
     */
    public interface EvalGroupQuery {
    }

    /**
     * 集团薪酬组查询校验分组
     */
    public interface ShopPostQuery {
    }

}
