package cn.fw.morax.domain.dto.query;

import cn.fw.common.web.annotation.LoginContextField;
import cn.fw.morax.domain.enums.ApplicableRoleEnum;
import lombok.Data;

import java.util.List;

@Data
public class QueryConditionIndicatorsListDTO  {


    /**
     * 数据范围类型; 1. 人员, 2.门店
     */
    private String dataScopeTypes;

    /**
     * 角色编码
     */
    private String roleCode;
    /**
     * 归属系统id
     */
    private Long sysId;

    /**
     * 启用/禁用;
     * 0:禁用 1:启用
     */
    private Boolean enable;

    /**
     * 指标名称或编码
     */
    private String keyword;

    /**
     * 全部角色类型
     */
    private List<ApplicableRoleEnum> allRoleTypes;

    /**
     * 集团id
     */
    @LoginContextField(LoginContextField.Name.GROUP_ID)
    private Long groupId;

}
