package cn.fw.morax.domain.dto.query;

import cn.fw.common.page.BasePageQuery;
import cn.fw.common.validator.EnumValue;
import cn.fw.common.web.annotation.LoginContextField;
import cn.fw.morax.domain.enums.EvalTypeEnum;
import cn.fw.morax.domain.enums.SettingDraftStatusEnum;
import cn.fw.morax.domain.enums.SettingDraftTypeEnum;
import cn.fw.morax.domain.enums.SettingStatusEnum;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class SettingDraftQueryDTO extends BasePageQuery {

    /**
     * 草稿状态 1:未发布 2:发布待审批 3:审批拒绝 4:审批同意 5:撤销审批
     */
    @EnumValue(enumClass = SettingDraftStatusEnum.class, valueMethod = "getValue", message = "状态枚举值不正确")
    private Integer status;

//    /**
//     * 草稿类型; 1:考评 2: 绩效 3: 薪酬 4 :绩效排名组
//     */
//    @NotNull(message = "草稿类型不能为空")
//    @EnumValue(enumClass = SettingDraftTypeEnum.class, valueMethod = "getValue", message = "类型枚举值不正确")
//    private Integer type;

    /**
     * 考评类型; 1:活动考评 2:其他考评
     */
//    @NotNull(message = "考评类型不能为空")
    @EnumValue(enumClass = EvalTypeEnum.class, valueMethod = "getValue", message = "考评类型枚举值不正确")
    private Integer evalType;

    /**
     * 名称
     */
    private String name;
    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 门店id
     */
    private Long shopId;

    /**
     * 集团id
     */
    @LoginContextField(LoginContextField.Name.GROUP_ID)
    private Long groupId;

}
