package cn.fw.morax.domain.dto.salary;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.time.YearMonth;
import java.util.List;

/**
 * <p>
 * 薪酬组排名配置
 * </p>
 *
 * @author jiangchao
 * @since 2022-09-26
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SalaryGroupRankConfigQueryDTO {

    /**
     * 薪酬组id
     */
    @NotNull(message = "薪酬组id不能为空")
    private Long salaryGroupId;

    /**
     * 时间
     */
    private YearMonth yearMonth;

}
