package cn.fw.morax.domain.dto.salary;

import cn.fw.common.web.annotation.LoginContextField;
import cn.fw.morax.domain.enums.EffectMonthEnum;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.YearMonth;
import java.util.List;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 薪酬组配置
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SalaryPayNoticeDTO {
    private String id;
    /**
     * 适用门店ids
     */
    private Long shopId;

    /**
     * 适用门店名称
     */
    private String shopName;

    /**
     * 月度
     */
    private YearMonth monthly;

    @NotNull(message = "生效时间类型不能为空")
    private EffectMonthEnum beginTimeType;
    /**
     * 人数
     */
    private Integer staffNum;
    /**
     * 总金额
     */
    private BigDecimal totalReward;

    /**
     * 集团id
     */
    @LoginContextField(LoginContextField.Name.GROUP_ID)
    private Long groupId;
    /**
     * 用户名
     */
    @LoginContextField(LoginContextField.Name.USER_NAME)
    private String userName;

}