package cn.fw.morax.domain.enums;

import com.baomidou.mybatisplus.core.enums.IEnum;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;

/**
 * 考评奖惩分配枚举
 *
 * @author kurisu
 */
public enum EvalRewardDistStatusEnum implements IEnum<Integer> {
    /**
     * 考评奖惩分配枚举 1.未发布 2.发布待审批 3.审批拒绝 4.审批同意 5.撤销审批
     */
    NO_DIST(1, "未发布"),
    APPROVAL(2, "发布待审批"),
    APPROVAL_REJECT(3, "审批拒绝"),
    APPROVAL_AGREE(4, "审批同意"),
    APPROVAL_CANCEL(5, "撤销审批"),
    ;

    /**
     * 值
     */
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    EvalRewardDistStatusEnum(final Integer value, final String name) {
        this.value = value;
        this.name = name;
    }

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static EvalRewardDistStatusEnum ofValue(final Integer value) {
        for (final EvalRewardDistStatusEnum _enum : EvalRewardDistStatusEnum.values()) {
            if (_enum.value.equals(value)) {
                return _enum;
            }
        }
        return null;
    }

    /**
     * 获取值
     *
     * @return 值
     */
    @JsonValue
    @Override
    public Integer getValue() {
        return value;
    }

    /**
     * 获取描述
     *
     * @return 值
     */
    @JsonCreator
    public static String getNameByVale(final Integer value) {
        for (final EvalRewardDistStatusEnum _enum : EvalRewardDistStatusEnum.values()) {
            if (_enum.value.equals(value)) {
                return _enum.getName();
            }
        }
        return "";
    }
}
