package cn.fw.morax.domain.enums;

import com.baomidou.mybatisplus.core.enums.IEnum;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;

/**
 * 考评奖惩推送
 *
 * @author kurisu
 */
public enum EvalRewardPushStatusEnum implements IEnum<Integer> {
    /**
     * 考评奖惩推送; 1:审批中 2:等待推送 3:推送成功 4:推送失败
     */
    APPROVAL(1, "审批中"),
    WAIT_PUSH(2, "等待推送"),
    PUSH_SUCCESS(3, "推送成功"),
    PUSH_FAIL(4, "推送失败"),
    ;

    /**
     * 值
     */
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    EvalRewardPushStatusEnum(final Integer value, final String name) {
        this.value = value;
        this.name = name;
    }

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static EvalRewardPushStatusEnum ofValue(final Integer value) {
        for (final EvalRewardPushStatusEnum _enum : EvalRewardPushStatusEnum.values()) {
            if (_enum.value.equals(value)) {
                return _enum;
            }
        }
        return null;
    }

    /**
     * 获取值
     *
     * @return 值
     */
    @JsonValue
    @Override
    public Integer getValue() {
        return value;
    }

    /**
     * 获取描述
     *
     * @return 值
     */
    @JsonCreator
    public static String getNameByVale(final Integer value) {
        for (final EvalRewardPushStatusEnum _enum : EvalRewardPushStatusEnum.values()) {
            if (_enum.value.equals(value)) {
                return _enum.getName();
            }
        }
        return "";
    }
}
