package cn.fw.morax.domain.enums;

import com.baomidou.mybatisplus.core.enums.IEnum;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;

/**
 * 考评周期类型
 *
 * @author kurisu
 */
public enum EvalRuleTypeEnum implements IEnum<Integer> {
    /**
     * 频率类型；1:按滚动天 2:按星期 3:按月指定日期 4：按滚动月
     */
    DAY(1, "按滚动天"),
    WEEK_DAY(2, "按星期"),
    MONTH_FIX_DAY(3, "按月指定日期"),
    MONTH(4, "按滚动月"),
    ;

    /**
     * 值
     */
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    EvalRuleTypeEnum(final Integer value, final String name) {
        this.value = value;
        this.name = name;
    }

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static EvalRuleTypeEnum ofValue(final Integer value) {
        for (final EvalRuleTypeEnum _enum : EvalRuleTypeEnum.values()) {
            if (_enum.value.equals(value)) {
                return _enum;
            }
        }
        return null;
    }

    /**
     * 获取值
     *
     * @return 值
     */
    @JsonValue
    @Override
    public Integer getValue() {
        return value;
    }

    /**
     * 获取描述
     *
     * @return 值
     */
    @JsonCreator
    public static String getNameByVale(final Integer value) {
        for (final EvalRuleTypeEnum _enum : EvalRuleTypeEnum.values()) {
            if (_enum.value.equals(value)) {
                return _enum.getName();
            }
        }
        return "";
    }
}
