package cn.fw.morax.domain.enums;

import com.baomidou.mybatisplus.core.enums.IEnum;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;

/**
 * 考评范围
 *
 * @author kurisu
 */
public enum EvalShopPoolStatusEnum implements IEnum<Integer> {
    /**
     * 考评范围; 1:门店考评 2:人员考评
     */
    NO_REWARD(1, "无奖惩"),
    CALC_REWARD(2, "计算奖励中"),
    WAIT_DIST_REWARD(3, "等待分配奖励"),
    DIST_REWARD(4, "分配奖励"),
    COMPLETION(5, "完成"),
    ;

    /**
     * 值
     */
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    EvalShopPoolStatusEnum(final Integer value, final String name) {
        this.value = value;
        this.name = name;
    }

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static EvalShopPoolStatusEnum ofValue(final Integer value) {
        for (final EvalShopPoolStatusEnum _enum : EvalShopPoolStatusEnum.values()) {
            if (_enum.value.equals(value)) {
                return _enum;
            }
        }
        return null;
    }

    /**
     * 获取值
     *
     * @return 值
     */
    @JsonValue
    @Override
    public Integer getValue() {
        return value;
    }

    /**
     * 获取描述
     *
     * @return 值
     */
    @JsonCreator
    public static String getNameByVale(final Integer value) {
        for (final EvalShopPoolStatusEnum _enum : EvalShopPoolStatusEnum.values()) {
            if (_enum.value.equals(value)) {
                return _enum.getName();
            }
        }
        return "";
    }
}
