package cn.fw.morax.domain.enums;

import com.baomidou.mybatisplus.core.enums.IEnum;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;

/**
 * 人员质量考核类型
 *
 * @author kurisu
 */
public enum KpiAssessTypeEnum implements IEnum<Integer> {
    /**
     * 人员质量考核类型; 1:D级员工 2:转正后保护期员工
     */
    STAR_D(1, "星级为D员工"),
    TURN_POSITIVE_AFTER(2, "保护期员工排名差"),
    ;

    /**
     * 值
     */
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    KpiAssessTypeEnum(final Integer value, final String name) {
        this.value = value;
        this.name = name;
    }

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static KpiAssessTypeEnum ofValue(final Integer value) {
        for (final KpiAssessTypeEnum _enum : KpiAssessTypeEnum.values()) {
            if (_enum.value.equals(value)) {
                return _enum;
            }
        }
        return null;
    }

    /**
     * 获取值
     *
     * @return 值
     */
    @JsonValue
    @Override
    public Integer getValue() {
        return value;
    }

    /**
     * 获取描述
     *
     * @return 值
     */
    @JsonCreator
    public static String getNameByVale(final Integer value) {
        for (final KpiAssessTypeEnum _enum : KpiAssessTypeEnum.values()) {
            if (_enum.value.equals(value)) {
                return _enum.getName();
            }
        }
        return "";
    }
}
