package cn.fw.morax.domain.enums;

import com.baomidou.mybatisplus.core.enums.IEnum;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;

/**
 * @author : kurisu
 * @className : StarLevelEnum
 * @description : 绩效星级枚举
 * @date: 2022-04-06 11:01
 */
public enum KpiPoolDataEnum implements IEnum<Integer> {
    /**
     * 门店-岗位
     */
    SHOP(1, "门店-岗位"),
    /**
     * 人员
     */
    STAFF(2, "人员"),
    /**
     * 绩效排名组-门店
     */
    KPI_RANK(3, "绩效排名"),
    /**
     * 绩效组-门店
     */
    SHOP_KPI_GROUP(4, "门店-绩效组"),
    ;

    /**
     * 值
     */
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    KpiPoolDataEnum(final Integer value, final String name) {
        this.value = value;
        this.name = name;
    }

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static KpiPoolDataEnum ofValue(final Integer value) {
        for (final KpiPoolDataEnum _enum : KpiPoolDataEnum.values()) {
            if (_enum.value.equals(value)) {
                return _enum;
            }
        }
        return null;
    }

    /**
     * 获取描述
     *
     * @return 值
     */
    @JsonCreator
    public static Integer getNameByVale(final Integer value) {
        for (final KpiPoolDataEnum _enum : KpiPoolDataEnum.values()) {
            if (_enum.value.equals(value)) {
                return _enum.getValue();
            }
        }
        return null;
    }

    /**
     * 获取值
     *
     * @return 值
     */
    @JsonValue
    @Override
    public Integer getValue() {
        return value;
    }
}
