package cn.fw.morax.domain.enums;

import com.baomidou.mybatisplus.core.enums.IEnum;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;

/**
 * 指标类型
 *
 * @author kurisu
 */
public enum RankIndicatorTypeEnum implements IEnum<Integer> {
    /**
     * 指标类型 1.奖惩提成  2.前置条件指标
     */
    REWARD_COMMISSION(1, "奖惩提成"),
    PRE(2, "前置条件指标"),
    ;

    /**
     * 值
     */
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    RankIndicatorTypeEnum(final Integer value, final String name) {
        this.value = value;
        this.name = name;
    }

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static RankIndicatorTypeEnum ofValue(final Integer value) {
        for (final RankIndicatorTypeEnum _enum : RankIndicatorTypeEnum.values()) {
            if (_enum.value.equals(value)) {
                return _enum;
            }
        }
        return null;
    }

    /**
     * 获取值
     *
     * @return 值
     */
    @JsonValue
    @Override
    public Integer getValue() {
        return value;
    }

    /**
     * 获取描述
     *
     * @return 值
     */
    @JsonCreator
    public static String getNameByVale(final Integer value) {
        for (final RankIndicatorTypeEnum _enum : RankIndicatorTypeEnum.values()) {
            if (_enum.value.equals(value)) {
                return _enum.getName();
            }
        }
        return "";
    }
}
