package cn.fw.morax.domain.enums;

import com.baomidou.mybatisplus.core.enums.IEnum;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;

/**
 * 人事系统工作类型枚举
 *
 * @author kurisu
 */
public enum WorkTypeEnum implements IEnum<Integer> {
    /**
     * 人事系统工作类型枚举 1:人员质量评测惩罚
     */
    KPI_ASSESS(1, "人员质量评测惩罚", "kpiAssess"),
    ;

    /**
     * 值
     */
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;
    /**
     * key
     */
    @Getter
    private final String key;

    WorkTypeEnum(final Integer value, final String name, final String key) {
        this.value = value;
        this.name = name;
        this.key = key;
    }

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static WorkTypeEnum ofValue(final Integer value) {
        for (final WorkTypeEnum _enum : WorkTypeEnum.values()) {
            if (_enum.value.equals(value)) {
                return _enum;
            }
        }
        return null;
    }

    /**
     * 获取值
     *
     * @return 值
     */
    @JsonValue
    @Override
    public Integer getValue() {
        return value;
    }

    /**
     * 获取描述
     *
     * @return 值
     */
    @JsonCreator
    public static String getNameByVale(final Integer value) {
        for (final WorkTypeEnum _enum : WorkTypeEnum.values()) {
            if (_enum.value.equals(value)) {
                return _enum.getName();
            }
        }
        return "";
    }
}
