package cn.fw.morax.domain.vo;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.DataTypeEnum;
import cn.fw.morax.domain.enums.IndicatorCodeTypeEnum;
import cn.fw.morax.domain.enums.TargetTypeEnum;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 组合指标参数
 * </p>
 *
 * @author jiangchao
 * @since 2023-03-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class CombineIndicatorParamVO {

    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    private Long id;

    /**
     * 组合id
     */
    private Long combineIndicatorId;

    /**
     * 指标编码
     */
    private String code;

    /**
     * 指标库名称
     */
    private String name;

    /**
     * 指标类型（1.指标，2，考评指标）
     */
    private IndicatorCodeTypeEnum codeType;

    /**
     * 数据类型；1：数量 2：百分比 3：金额
     */
    private DataTypeEnum dataType;

    /**
     * 绩效目标值类型; 1:无 2:百分比 3:金额 4:台数
     */
    private TargetTypeEnum targetType;

    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;



}
