package cn.fw.morax.domain.vo;

import cn.fw.morax.domain.vo.eval.EvalUserGroupRankVO;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : SelectorVO
 * @description : 绩效\薪酬池选项
 * @date : 2022-05-06 11:23
 */
@Data
@EqualsAndHashCode
public class EvalSelectorVO {
    /**
     * 名称
     */
    private String name;

    /**
     * 门店
     */
    @NotNull(message = "门店")
    private Long shopId;

    /**
     * 岗位
     */
    @NotNull(message = "岗位")
    private Long postId;

    /**
     * 排名
     */
    private List<EvalUserGroupRankVO> ranks;


    public EvalSelectorVO() {
    }

    public EvalSelectorVO(String name, List<EvalUserGroupRankVO> ranks) {
        this.name = name;
        this.ranks = ranks;
    }
}
