package cn.fw.morax.domain.vo.eval;

import cn.fw.morax.domain.enums.DataTypeEnum;
import cn.fw.morax.domain.enums.ScoreWayEnum;
import cn.fw.morax.domain.vo.kpi.KpiGroupIndicatorLaddersVO;
import cn.fw.morax.domain.vo.kpi.KpiGroupIndicatorParamVO;
import cn.fw.morax.domain.vo.kpi.KpiGroupIndicatorPreconditionVO;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 指标项得分详情
 */
@Data
public class EvalGroupIndicatorDetailVO {

    /**
     * 绩效组id
     */
    private Long evalGroupId;

    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 岗位名称
     */
    private String postName;

//    /**
//     * 门店列表
//     */
//    private List<Long> kpiGroupShopIds;
//
//    /**
//     * 门店列表名称
//     */
//    private List<String> kpiGroupShopNames;

//    /**
//     * 系统前缀
//     */
//    private String sysPrefix;
//
//    /**
//     * 系统前缀
//     */
//    private String sysDomain;
//
//    /**
//     * 系统名称
//     */
//    private String sysName;
//
//    /**
//     * 指标编码
//     */
//    private String indicatorCode;
//
//    /**
//     * 指标名称
//     */
//    private String indicatorName;

    /**
     * 绩效指标、综合指标值
     */
    private BigDecimal paramsValue;

    /**
     * 参数别名
     */
    private String paramAlias;
    /**
     * 基础绩效分
     */
    private Integer baseScore;

    /**
     * 得分方式;1: 阶梯得分 2:普通得分
     */
    private ScoreWayEnum scoreWay;

    /**
     * 指标参数
     */
    private List<KpiGroupIndicatorParamVO> ladderParams;

    /**
     * 提成参数
     */
    private List<KpiGroupIndicatorParamVO> commissionParams;

    /**
     * 条件
     */
    private List<KpiGroupIndicatorPreconditionVO> conds;

    /**
     * 指标项得分阶梯
     */
    private List<KpiGroupIndicatorLaddersVO> ladders;

    /**
     * 数据类型；1:数量 2:百分比 3:金额
     */
    private DataTypeEnum laddersType;

}