package cn.fw.morax.domain.vo.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.EvalScopeEnum;
import cn.fw.morax.domain.enums.IndicatorTypeEnum;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * <p>
 * 考评指标达成目标记录
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(autoResultMap = true)
public class EvalGroupIndicatorTargetHitLogVO extends BaseAuditableTimeEntity<EvalGroupIndicatorTargetHitLogVO, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 员工id、门店id
     */
    private Long poolId;

    /**
     * 考评范围; 1:门店考评 2:人员考评
     */
    private EvalScopeEnum scopeType;

    /**
     * 考评组指标/前置条件 id
     */
    private Long referId;

    /**
     * 类型 1：考评组指标 2：前置条件指标
     */
    private IndicatorTypeEnum targetType;

    /**
     * 原始值
     */
    private BigDecimal value;

    /**
     * 达成目标
     */
    private BigDecimal reachValue;

    /**
     * 数据日期
     */
    private LocalDate dataDate;

    /**
     * 集团id
     */
    private Long groupId;

    private Boolean yn;


}
