package cn.fw.morax.domain.vo.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.dto.eval.EvalGroupIndicatorLaddersDTO;
import cn.fw.morax.domain.dto.eval.EvalGroupIndicatorParamDTO;
import cn.fw.morax.domain.dto.eval.EvalGroupIndicatorPreconditionDTO;
import cn.fw.morax.domain.enums.DataTypeEnum;
import cn.fw.morax.domain.enums.IndicatorCodeTypeEnum;
import cn.fw.morax.domain.enums.ScoreWayEnum;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.Valid;
import java.util.List;

/**
 * <p>
 * 绩效组指标项
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(autoResultMap = true)
public class EvalGroupIndicatorVO {

    /**
     * id
     */
    private Long id;
    /**
     * 考评组配置id
     */
    private Long evalGroupId;

    /**
     * 指标名称
     */
    private String name;

    /**
     * 基础绩效分
     */
    private Integer baseScore;

    /**
     * 得分方式;1: 阶梯得分 2:普通得分
     */
    private ScoreWayEnum scoreWay;

    /**
     * 数据类型；1:数量 2:百分比 3:金额
     */
    private DataTypeEnum laddersType;

    /**
     * 考评项别名
     */
    private String paramAlias;

    /**
     * 台阶参数别名
     */
    public String ladderParamAlias;

    /**
     * 提成参数别名
     */
    public String commissionParamAlias;

    /**
     * 前置条件别名
     */
    public String preconditionAlias;

    /**
     * 台阶指标编码
     */
    public String code;
    /**
     * 指标类型（1.指标，2，考评指标 3，组合指标）
     */
    public IndicatorCodeTypeEnum codeType;

    /**
     * 提成参数
     */
    private List<EvalGroupIndicatorParamVO> commissionParams;

    /**
     * 台阶参数
     */
    private List<EvalGroupIndicatorParamVO> ladderParams;

    /**
     * 条件
     */
    private List<EvalGroupIndicatorPreconditionVO> conds;

    /**
     * 指标阶梯
     */
    private List<EvalGroupIndicatorLaddersVO> ladders;

    /**
     * 目标
     */
    private List<EvalGroupIndicatorTargetVO> targets;
}
