package cn.fw.morax.domain.vo.eval;

import cn.fw.common.data.mybatis.handler.StringListTypeHandler;
import cn.fw.morax.domain.enums.SettingStatusEnum;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.time.LocalDate;
import java.util.List;
import java.util.Set;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 考评组配置
 */
@Data
public class EvalGroupRankVO {
    /**
     * 主键id
     */
    private Long id;

    /**
     * 考评排名组名称
     */
    private String name;

    /**
     * 状态;1:审批中 2:待生效 3:生效中 4:已失效 5:草稿
     */
    private SettingStatusEnum status;

    /**
     * 多阶段
     */
    private Boolean multiStage;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 调整原因
     */
    private String reason;

    /**
     * 附件;fid逗号隔开
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> attachment;

    /**
     * 生效时间
     */
    private LocalDate beginTime;

    /**
     * 结束时间
     */
    private LocalDate overTime;

    /**
     * 岗位id
     */
    private List<Long> postIds;

    /**
     * 岗位名称
     */
    private Set<String>  postNames;

    /**
     * 适用门店ids
     */
    private List<Long> shopIds;

    /**
     * 适用门店名称
     */
    private Set<String> shopNames;

    /**
     * 考评排名组阶段
     */
    private List<EvalGroupRankStageVO> stages;



}