package cn.fw.morax.domain.vo.eval;

import cn.fw.common.data.mybatis.handler.LongListTypeHandler;
import cn.fw.common.data.mybatis.handler.StringListTypeHandler;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * <p>
 * 考评组
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(autoResultMap = true)
public class EvalGroupVO {

    /**
     * id
     */
    private Long id;
    /**
     * 考评排名组id
     */
    private Long evalGroupRankId;

    /**
     * 考评阶段id
     */
    private Long evalGroupRankStageId;

    /**
     * 考评组编码
     */
    private String egc;

    /**
     * 岗位id
     */
    private Long postId;

    /**
     * 岗位名称
     */
    private String postName;

    /**
     * 适用门店ids
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    private List<Long> shopIds;

    /**
     * 适用门店名称
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> shopNames;

    /**
     * 包含指标数量
     */
    private Integer indicatorNum;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 考评指标
     */
    private List<EvalGroupIndicatorVO> indicators;

    /**
     * 人员考评奖惩
     */
    private List<EvalGroupRewardDimVO> staffRewardDims;

    /**
     * 门店考评奖惩
     */
    private List<EvalGroupRewardDimVO> shopRewardDims;


}
