package cn.fw.morax.domain.vo.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.common.data.mybatis.handler.LongListTypeHandler;
import cn.fw.morax.domain.enums.EvalRewardDistStatusEnum;
import cn.fw.morax.domain.enums.EvalTypeEnum;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 考评门店奖惩分配
 * </p>
 *
 * @author jiangchao
 * @since 2023-02-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class EvalRewardDistVO {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;
    /**
     * 用户id
     */
    private Long userId;

    /**
     * 考评id
     */
    private Long evalId;

    /**
     * 考评组编码
     */
    private Long evalGroupId;

    /**
     * 考评类型; 1:活动考评 2:其他考评
     */
    private EvalTypeEnum evalType;

    /**
     * 考评
     */
    private String evalName;

    /**
     * 考评组
     */
    private String evalGroupName;

    /**
     * 考评组id
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    private List<Long> evalShopPoolIds;

    /**
     * 门店id
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    private List<Long> shopIds;

    /**
     * 考评奖惩
     */
    private BigDecimal reward;

    /**
     * 状态
     */
    private EvalRewardDistStatusEnum status;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 审批单号
     */
    private String approvalNo;

    /**
     * 门店
     */
    private List<EvalShopPoolVO> shopPools;

    /**
     * 奖惩详情
     */
    private List<EvalRewardDistDetailVO> rewardDetails;


}
