package cn.fw.morax.domain.vo.eval;

import cn.fw.morax.common.constant.Constant;
import cn.fw.morax.common.utils.PublicUtil;
import cn.fw.morax.domain.enums.EvalTypeEnum;
import cn.fw.morax.domain.enums.KpiIgnoreCauseEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.YearMonth;
import java.util.List;

/**
 * <p>
 * 考评池
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class EvalUserGroupRankVO {

    private static final long serialVersionUID = 1L;

    /**
     * 考评排名组id
     */
    private Long id;

    /**
     * 考评组编码
     */
    private String evalGroupRankName;

    /**
     * 考评组id
     */
    private Long evalGroupRankId;

    /**
     * 考评得分率
     */
    private BigDecimal scoreRatio;
    /**
     * 奖惩
     */
    private BigDecimal reward;

    /**
     * 考评得分率（格式化）
     */
    private String scoreRatioFormat;


    public void convertScoreRatio() {
        if (PublicUtil.isNotEmpty(this.getScoreRatio())) {
            this.setScoreRatio(this.getScoreRatio().multiply(Constant.ONE_HUNDRED));
        }
    }
}
