package cn.fw.morax.domain.vo.eval;

import cn.fw.morax.domain.enums.EvalTypeEnum;
import cn.fw.morax.domain.enums.SettingStatusEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * <p>
 * 考评组
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class EvalVO {

    /**
     * 考评id
     */
    private Long id;

    /**
     * 考评，活动名称
     */
    private String name;

    /**
     * 考评类型; 1:活动考评 2:其他考评
     */
    private EvalTypeEnum type;

    /**
     * 状态; 1:审批中 2:待生效 3:生效中 4:已失效 5:草稿
     */
    private SettingStatusEnum status;

    /**
     * 考评组
     */
    private List<EvalGroupVO> evalGroups;


    /**
     * 调整原因
     */
    private String reason;

    /**
     * 附件;fid逗号隔开
     */
    private List<String> attachment;

}
