package cn.fw.morax.domain.vo.kpi;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.common.data.mybatis.handler.StringListTypeHandler;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 人员质量考核配置
 * </p>
 *
 * @author jiangchao
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class KpiAssessDetailVO {

    /**
     * id
     */
    private Long id;

    /**
     * 人员质量考核id
     */
    private Long kpiAssessId;

    /**
     * 考核角色编码
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> roleCodes;
    /**
     * 考核角色名称
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> roleNames;

    /**
     * 惩罚分
     */
    private BigDecimal penaltyScore;

    /**
     * 封顶单人惩罚分
     */
    private BigDecimal capPersonPenaltyScore;

    /**
     * 封顶惩罚分
     */
    private BigDecimal capPenaltyScore;

    /**
     * 惩罚奖励
     */
    private BigDecimal penaltyMoney;

    /**
     * 封顶单人惩罚奖励
     */
    private BigDecimal capPersonPenaltyMoney;

    /**
     * 封顶惩罚奖励
     */
    private BigDecimal capPenaltyMoney;

    /**
     * 奖励分数
     */
    private BigDecimal awardScore;

    /**
     * 封顶单人奖励分数
     */
    private BigDecimal capPersonAwardScore;

    /**
     * 封顶奖励分数
     */
    private BigDecimal capAwardScore;

    /**
     * 奖励金额
     */
    private BigDecimal awardMoney;

    /**
     * 封顶单人奖励金额
     */
    private BigDecimal capPersonAwardMoney;

    /**
     * 封顶奖励金额
     */
    private BigDecimal capAwardMoney;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 逻辑删除
     */
    private Boolean yn;


}
