package cn.fw.morax.domain.vo.kpi;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.KpiAssessTypeEnum;
import cn.fw.morax.domain.enums.StarLevelEnum;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * <p>
 * 人员质量考核奖惩
 * </p>
 *
 * @author jiangchao
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class KpiAssessPenaltyStaffVO {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;
    /**
     * 人员质量考核奖惩id
     */
    private Long kpiAssessPenaltyId;

    /**
     * 人员质量考核类型; 1:D级员工 2:转正后保护期员工
     */
    private KpiAssessTypeEnum type;

    /**
     * 人员质量考核奖惩id
     */
    private Long kpiPoolId;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 岗位名称
     */
    private String postName;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 门店名称
     */
    private String shopName;

    /**
     * 星级;1: A 2:B 3:C 4:D
     */
    private StarLevelEnum starLevel;

    /**
     * 排名
     */
    private Integer rank;
    /**
     * 排名目标
     */
    private Integer targetRank;

    /**
     * 排名差距
     */
    private Integer rankDiff;

    /**
     * 惩罚
     */
    private Boolean penalty;

    /**
     * 奖惩绩效分
     */
    private BigDecimal score;

    /**
     * 奖惩金额
     */
    private BigDecimal award;

    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;

}
