package cn.fw.morax.domain.vo.kpi;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.time.YearMonth;

/**
 * <p>
 * 人员质量考核奖惩
 * </p>
 *
 * @author jiangchao
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class KpiAssessPenaltyVO {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;
    /**
     * 评测id
     */
    private Long kpiAssessId;
    /**
     * 评测详情id
     */
    private Long kpiAssessDetailId;

    /**
     * 角色码
     */
    private String roleCode;

    /**
     * 评测用户名
     */
    private String userName;

    /**
     * 评测用户id
     */
    private Long userId;

    /**
     * 内容
     */
    private String content;

    /**
     * 奖惩绩效分
     */
    private BigDecimal score;

    /**
     * 奖惩金额
     */
    private BigDecimal award;

    /**
     * 月度
     */
    private YearMonth monthly;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;

}
