package cn.fw.morax.domain.vo.kpi;

import cn.fw.morax.domain.enums.DataTypeEnum;
import cn.fw.morax.domain.enums.IndicatorCodeTypeEnum;
import cn.fw.morax.domain.enums.ScoreWayEnum;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 绩效组指标项
 */
@Data
public class KpiGroupIndicatorVO {
    /**
     * 主键id
     */
    private Long id;
    /**
     * 指标库名称
     */
    private String name;
    /**
     * 参数别名
     */
    private String paramAlias;
    /**
     * 绩效组配置id
     */
    private Long kpiGroupId;

//    /**
//     * 指标库id
//     */
//    private Long indicatorId;
//    /**
//     * 指标编码
//     */
//    private String indicatorCode;
//    /**
//     * 指标库名称
//     */
//    private String indicatorName;
    /**
     * 基础绩效分
     */
    private Integer baseScore;
    /**
     * 得分方式;1: 阶梯得分 2:普通得分
     */
    private ScoreWayEnum scoreWay;

    /**
     * 数据类型；1:数量 2:百分比 3:金额
     */
    private DataTypeEnum laddersType;

//    /**
//     * 绩效指标、综合指标值
//     */
//    private BigDecimal paramsValue;

    /**
     * 指标参数
     */
    private List<KpiGroupIndicatorParamVO> ladderParams;

    /**
     * 提成参数
     */
    private List<KpiGroupIndicatorParamVO> commissionParams;

    /**
     * 前置条件配置
     */
    private List<KpiGroupIndicatorPreconditionVO> conds;

    /**
     * 指标目标
     */
    private List<KpiGroupIndicatorTargetVO> targets;

//    /**
//     * 绩效目标值类型; 1:无 2:百分比 3:金额
//     */
//    private TargetTypeEnum targetType;
//    /**
//     * 绩效目标值
//     */
//    private BigDecimal targetValue;
    /**
     * 得分阶梯
     */
    private List<KpiGroupIndicatorLaddersVO> indicatorLadders;


    //*    新增字段针对   台阶参数(上面的 ladderParams)-> 有组合指标选择的情况,如果`台阶参数`选择了组合指标,这里要进行一个记录
    //*
    //*   `code` varchar(255) DEFAULT NULL COMMENT '组合指标编码',
    //*   `code_type` tinyint(4) DEFAULT NULL COMMENT '指标类型（1.指标，2，考评指标 3，组合指标）',

    /**
     * 台阶得分对应的组合指标编码[codeType=3，指标组合必传]
     */
    @Length(max = 255, message = "台阶得分对应的组合指标编码超出最大长度限制")
    private String code;

    /**
     * 台阶得分对应的 指标类型（1.指标，2，考评指标 3，指标组合[包含组合指标或考评组合指标]））
     */
    private IndicatorCodeTypeEnum codeType;

}