package cn.fw.morax.domain.vo.kpi;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.KpiIgnoreCauseEnum;
import lombok.*;

import java.time.LocalDate;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 绩效组人员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class KpiGroupUserVO {
    /**
     * 主键id
     */
    private Long id;
    /**
     * 绩效组id
     */
    private Long kpiGroupId;
    /**
     * 人员id
     */
    private Long userId;
    /**
     * 人员名称
     */
    private String userName;
    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 岗位名称
     */
    private String postName;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 在职门店
     */
    private String shopName;
    /**
     * 是否计入绩效考核
     */
    private Boolean ignored;
    /**
     * 不计入原因;枚举待定
     */
    private KpiIgnoreCauseEnum ignoreCause;
    /**
     * 不计入原因描述
     */
    private String ignoreCauseDesc;
    /**
     * 开始考核时间
     */
    private LocalDate anticipatedDate;
    /**
     * 备注
     */
    private String remark;
    /**
     * 数据日期
     */
    private LocalDate dataDate;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 逻辑删除
     */
    private Boolean yn;
}