package cn.fw.morax.domain.vo.kpi;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.ScoreWayEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 绩效人员指标业务值
 */
@Data
public class KpiPoolIndicatorValueVO {
    /**
     * 主键id
     */
    private Long id;
    /**
     * 绩效池id
     */
    private Long kpiPoolId;
    /**
     * 绩效组指标项id
     */
    private Long kpiGroupIndicatorId;
    /**
     * 指标id
     */
    private Long indicatorId;
    /**
     * 人员id
     */
    private Long userId;
    /**
     * 指标名称
     */
    private String name;
//    /**
//     * 指标编码
//     */
//    private String indicatorCode;
//    /**
//     * 指标名称
//     */
//    private String indicatorName;
    /**
     * 指标基础分值
     */
    private BigDecimal baseScore;
//    /**
//     * 指标业务值
//     */
//    private BigDecimal indicatorValue;
    /**
     * 指标得分
     */
    private BigDecimal indicatorScore;
    /**
     * 指标得分率
     */
    private String indicatorScoreRatio;
    /**
     * 失分率
     */
    private String lossIndicatorScoreRatio;
    /**
     * 指标得分
     */
    private String indicatorScoreFormat;
    /**
     * 得分方式;1: 阶梯得分 2:普通得分
     */
    private ScoreWayEnum scoreWay;
    /**
     * 数据日期
     */
    private LocalDate dataDate;
    /**
     * 集团id
     */
    private Long groupId;
}