package cn.fw.morax.domain.vo.kpi;

import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.YearMonth;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : KpiRewardPoint
 * @description : 绩效分扣除纪录
 * @date : 2022-04-24 10:15
 */
@Data
@ToString(callSuper = true)
public class KpiRewardPointVO {
    /**
     * id
     */
    private Long id;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 在职门店id
     */
    private Long shopId;
    /**
     * 数据产生时间
     */
    private LocalDateTime occurredTime;
    /**
     * 奖惩分数
     */
    private BigDecimal scorePoint;
    /**
     * 月度
     */
    private YearMonth monthly;
    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 类型id
     */
    private Long typeId;

    /**
     * 类型名称
     */
    private String typeName;

    /**
     * 业务id
     * 查询详情是使用
     */
    private String dataId;

    /**
     * 预期处罚
     */
    private Boolean expectation;
}
