package cn.fw.morax.domain.vo.salary;

import cn.fw.morax.domain.enums.SalaryCalMethodEnum;
import cn.fw.morax.domain.enums.SalaryTypeEnum;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : DeductProjectVO
 * @description : 扣款项
 * @date : 2022-05-05 17:55
 */
@Data
public class DeductProjectVO {

    /**
     * 薪酬组薪酬项目id
     */
    private Long salaryGroupProjectId;
    /**
     * 薪酬项名称
     */
    private String salaryGroupProjectName;
    /**
     * 项目类型 1:绩效提成 2:内部奖励 3:内部罚款 4:福利补贴 5:社保扣款 6:试用期工资 7:个税
     */
    private SalaryTypeEnum salaryType;
    /**
     * 计算方式;1: 星级 2:固定金额 3:阶梯提成 4:车系提成 99:动态
     */
    private SalaryCalMethodEnum calMethod;
    /**
     * 总金额
     */
    private BigDecimal totalAmount;
    /**
     * 已缴金额
     */
    private BigDecimal paidAmount;
    /**
     * 未缴金额
     */
    private BigDecimal noPaidAmount;

    /**
     * 款项类型描述
     *
     * @return
     */
    public String getSalaryTypeDesc() {
        return salaryType.getName();
    }
}
