package cn.fw.morax.domain.vo.salary;

import cn.fw.common.data.mybatis.handler.LongListTypeHandler;
import cn.fw.common.data.mybatis.handler.StringListTypeHandler;
import cn.fw.morax.domain.db.salary.IncomeCompensation;
import cn.fw.morax.domain.enums.SettingStatusEnum;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 收入补偿
 * </p>
 *
 * @author jiangchao
 * @since 2022-11-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class IncomeCompensationVO {

    /**
     * id
     */
    private Long id;

    /**
     * 岗位id
     */
    private Long postId;

    /**
     * 岗位名称
     */
    private String postName;

    /**
     * 适用门店ids
     */
    private List<Long> shopIds;

    /**
     * 适用门店名称
     */
    private List<String> shopNames;

    /**
     * 多个生效月份
     */
    private List<String> months;

    /**
     * 单人补偿金额
     */
    private BigDecimal money;

    /**
     * 单人最高补偿金额
     */
    private BigDecimal maxMoney;

    /**
     * 状态;1:审批中 3:生效中 4:已失效 
     */
    private SettingStatusEnum status;

    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 逻辑删除
     */
    private Boolean yn;


    public static IncomeCompensationVO convertVO(IncomeCompensation compensation) {
        IncomeCompensationVO compensationVO = new IncomeCompensationVO();
        compensationVO.setId(compensation.getId());
        compensationVO.setPostId(compensation.getPostId());
        compensationVO.setPostName(compensation.getPostName());
        compensationVO.setShopIds(compensation.getShopIds());
        compensationVO.setShopNames(compensation.getShopNames());
        compensationVO.setMonths(compensation.getMonths());
        compensationVO.setMoney(compensation.getMoney());
        compensationVO.setMaxMoney(compensation.getMaxMoney());
        compensationVO.setStatus(compensation.getStatus());
        compensationVO.setGroupId(compensation.getGroupId());
        compensationVO.setYn(compensation.getYn());
        return compensationVO;
    }

}
