package cn.fw.morax.domain.vo.salary;

import cn.fw.morax.domain.dto.salary.SalaryGroupProjectParamDTO;
import cn.fw.morax.domain.dto.salary.SalaryGroupProjectPreconditionDTO;
import cn.fw.morax.domain.enums.DataTypeEnum;
import cn.fw.morax.domain.enums.IndicatorCodeTypeEnum;
import cn.fw.morax.domain.enums.SalaryCalMethodEnum;
import cn.fw.morax.domain.vo.kpi.KpiGroupIndicatorTargetVO;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 薪酬组薪酬项目
 */
@Data
public class SalaryGroupProjectVO {
    /**
     * 主键id
     */
    private Long id;

    /**
     * 名称
     */
    private String name;

    /**
     * 台阶参数别名
     */
    public String ladderParamAlias;

    /**
     * 提成参数别名
     */
    public String commissionParamAlias;

    /**
     * 前置条件别名
     */
    public String preconditionAlias;

    /**
     * 薪酬组id
     */
    private Long salaryGroupId;
    /**
     * 数据类型；1:数量 2:百分比 3:金额
     */
    private DataTypeEnum laddersType;
    /**
     * 计算方式;1: 星级 2:固定金额 3:阶梯提成 4:车系提成 99:动态
     */
    private SalaryCalMethodEnum calMethod;
    /**
     * 薪酬项目配置
     */
    private List<SalaryGroupProjectSettinVO> settings;

    /**
     * 台阶参数
     */
    private List<SalaryGroupProjectParamVO> ladderParams;

    /**
     * 提成参数
     */
    private List<SalaryGroupProjectParamVO> commissionParams;

    /**
     * 条件
     */
    private List<SalaryGroupProjectPreconditionVO> conds;

    /**
     * 指标目标
     */
    private List<KpiGroupIndicatorTargetVO> targets;


    /**
     * 台阶指标编码
     */
    private String ladderCode;

    /**
     * 台阶指标类型（1.指标，2，考评指标 3，组合指标）
     */
    private IndicatorCodeTypeEnum ladderCodeType;

    /**
     * 提成指标编码
     */
    private String commissionCode;

    /**
     * 提成指标类型（1.指标，2，考评指标 3，组合指标）
     */
    private IndicatorCodeTypeEnum commissionCodeType;

//    /**
//     * 台阶得分对应的组合指标编码[codeType=3，指标组合必传]
//     */
//    private String code;
//
//    /**
//     * 台阶得分对应的 指标类型（1.指标，2，考评指标 3，指标组合[包含组合指标或考评组合指标]））
//     */
//    private IndicatorCodeTypeEnum codeType;

}