package cn.fw.morax.domain.vo.salary;

import cn.fw.morax.common.annotation.ExcelField;
import cn.fw.morax.domain.enums.StarLevelEnum;
import lombok.Data;

import java.math.BigDecimal;
import java.time.YearMonth;

@Data
public class StaffSalaryInfoVO {

    /**
     * 用户id
     */
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 薪酬组id
     */
    private Long salaryGroupId;

    /**
     * 岗位码
     */
    private Long postId;
    /**
     * 岗位名称
     */
    private String postName;

    /**
     * 门店id
     */
    private Long shopId;

    /**
     * 星级
     */
    private StarLevelEnum starLevel;

    /**
     * 用户名称
     */
    @ExcelField(title = "人员", sort = 0)
    private String userName;

    /**
     * 门店名称
     */
    @ExcelField(title = "在职门店", sort = 1)
    private String shopName;

    /**
     * 月度
     */
    @ExcelField(title = "月度", sort = 2)
    private YearMonth monthly;

    /**
     * 薪资报酬
     */
    private BigDecimal reward;


    /**
     * 签名文件
     */
    private String signatureFile;


}
