package cn.fw.morax.rpc.ehr.dto;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author : Devin
 * Date: 2020/9/17
 * Time: 16:53
 * Description:
 */
@Data
public class StaffBaseInfoDTO {
    /**
     * 用户id
     */
    private Long id;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 工号
     */
    private Long jobNo;

    /**
     * 姓名
     */
    private String name;

    /**
     * 用户头像
     */
    private String avatar;

    /**
     * 微信二维码
     */
    private String wxQrCode;

    /**
     * 岗位id
     */
    private Long postId;

    /**
     * 性别1男2女
     */
    private Integer gender;

    /**
     * 岗位名称
     */
    private String postName;

    /**
     * 在职门店id
     */
    private Long shopId;

    /**
     * 在职门店名称
     */
    private String shopName;

    /**
     * 员工门店列表
     */
    private List<StaffShopInfoDTO> staffShopList;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 员工状态 1试用期2在职3待离职9离职
     */
    private Integer staffStatus;

    /**
     * 转正时间
     */
    private Date regularDate;

//    /**
//     * 岗位类型 {@link cn.fw.ehr.sdk.api.enums.PostTypeEnum}
//     */
//    private Integer postType;

    /**
     * 开始离职时间
     */
    private Date todoLeaveDate;

    /**
     * 入职时间
     */
    private Date entryDate;

    /**
     * 调岗中
     */
    private Boolean postChanging;

    /**
     * 岗位级别 {@link cn.fw.ehr.sdk.api.enums.PostLevelEnum}
     */
    private Integer postLevel;
}
