package cn.fw.morax.rpc.finance.dto;

import lombok.Data;

/**
 * 财务对象
 *
 * @author : kurisu
 * @version : 1.0
 * @className : FinanceParam
 * @description : 财务对象
 * @date : 2022-05-07 14:45
 */
@Data
public class FinanceParam {
    private String token;
    /**
     * 业务类型
     */
    private Integer businessType;
    /**
     * 业务单号，业务类型不为空时，业务单号必填
     */
    private String businessNo;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 商家id
     */
    private Long dealerId;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 财务款项对象
     */
    private FundParam fundParam;
    /**
     * 支付/收取
     */
    private boolean pay;
}
