package cn.fw.morax.rpc.finance.dto;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * 款项对象
 *
 * @author : kurisu
 * @version : 1.0
 * @className : FundParam
 * @description : 款项对象
 * @date : 2022-05-07 11:49
 */
@Data
public class FundParam {
    /**
     * 主体id
     */
    private Long userId;
    /**
     * 手机号
     */
    private String mobile;
    /**
     * 主体名称
     */
    private String userName;
    /**
     * 类型
     */
    private String type;
    /**
     * 金额
     */
    private BigDecimal amount;
    /**
     * 发放日期
     * 为空为立即发放
     */
    private LocalDate date;
    /**
     * 是否公帐发放
     */
    private boolean corporate;
}
