package cn.fw.morax.rpc.office.dto;

import cn.fw.office.sdk.enums.AttachFileTypeEnum;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.NotNull;

/**
 * 附件
 */
@Data
@Validated
public class AttachParam {

    /**
     * 文件类型
     */
    @NotNull(message = "文件类型不能为空")
    private AttachFileTypeEnum fileType;

    /**
     * 文件id
     */
    @NotNull(message = "文件id不能为空")
    @Length(max = 32, message = "文件id超出长度最大限制")
    private String fid;

    /**
     * 文件名
     */
    @NotNull(message = "文件名不能为空")
    @Length(max = 128, message = "文件名超出长度最大限制")
    private String fileName;

}
