package cn.fw.morax.sdk.dto.kpi;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;
import java.util.Date;
import java.util.List;

/**
 * @author jiangchao
 * @des: 绩效阶段指标上报
 * @date 2023/5/12 9:27
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class KpiStageReportNoticeMQ {
    /**
     * topic
     */
    public final static String TOPIC = "kpi_stage_report";
    /**
     * 编码
     */
    private String indicatorCode;

    /**
     * 阶段开始时间
     */
    private Date beginTime;

    /**
     * 阶段结束时间
     */
    private Date endTime;

    /**
     * 门店
     */
    private List<Long> shopIds;

    /**
     * 人员id
     */
    private List<Long> userIds;

    /**
     * 唯一id
     */
    private String uid;

}
