package cn.fw.morax.sdk.dto.salary;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Past;
import java.math.BigDecimal;
import java.time.YearMonth;
import java.util.Date;
import java.util.List;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : GeneralSalaryProjectReq
 * @description : 薪酬关单
 * @date : 2022-04-24 15:36
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SalaryClosureReq {
    /**
     * 归属系统id
     */
    @NotNull(message = "归属系统id不能为空")
    private Long sysId;
    /**
     * 归属系统名称
     */
    @NotNull(message = "归属系统名称不能为空")
    private String sysName;
    /**
     * 门店id
     */
    @NotNull(message = "门店不能为空")
    private List<Long> shopIds;
    /**
     * 薪酬关单月份
     */
    @NotNull(message = "薪酬关单月份")
    private Date monthly;

    /**
     * 集团id
     */
    @NotNull(message = "集团id不能为空")
    private Long groupId;
}
