package cn.fw.morax.service.biz.calculator;

import java.util.List;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : Calculator
 * @description : 计算器
 * @date : 2022-04-18 11:27
 */
public interface Calculator<T, P, R> {

    /**
     * 计算
     *
     * @param param1
     * @param param2
     * @return 计算结果
     */
    R calculate(T param1, P param2);

    /**
     * 计算组数据
     *
     * @param params
     * @param param2
     */
    default void calculateGroup(List<T> params, P param2){};

    /**
     * 计算排名条件数据
     *
     * @param params
     * @param param2
     */
    default void calculateRankPrecondition(List<T> params, P param2){};
}
