package cn.fw.morax.service.component;

import cn.fw.morax.sdk.dto.kpi.KpiStageReportNoticeMQ;
import lombok.extern.slf4j.Slf4j;
import org.apache.rocketmq.spring.core.RocketMQTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * @author kurisu
 */
@Slf4j
@Component
public class KpiStageIndicatorReportProducer {
    @Autowired
    private RocketMQTemplate rocketMQTemplate;

    @RequestMapping(value = "send")
    public void send(KpiStageReportNoticeMQ dto) {
        log.info("指标业务数据上报通知mq: body:[{}]", dto);
        rocketMQTemplate.syncSend(KpiStageReportNoticeMQ.TOPIC + ":*", dto);
    }
}