package cn.fw.morax.service.component;

import cn.fw.office.sdk.event.PunishStaffReportEvent;
import lombok.extern.slf4j.Slf4j;
import org.apache.rocketmq.spring.core.RocketMQTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author kurisu
 */
@Slf4j
@Component
public class PunishStaffProducer {
    @Autowired
    private RocketMQTemplate rocketMQTemplate;

    public void send(PunishStaffReportEvent dto) {
        log.info("处罚员工mq: body:[{}]", dto);
        rocketMQTemplate.syncSend(PunishStaffReportEvent.TOPIC + ":*", dto);
    }
}