package cn.fw.morax.service.data;


import cn.fw.morax.domain.db.CombineIndicatorParam;
import cn.fw.morax.domain.enums.IndicatorCodeTypeEnum;
import cn.fw.morax.domain.vo.kpi.IndicatorsAndEvalIndicatorsVO;
import cn.fw.morax.domain.vo.kpi.IndicatorsVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 组合指标参数 服务类
 * </p>
 *
 * @author jiangchao
 * @since 2023-03-27
 */
public interface CombineIndicatorParamService extends IService<CombineIndicatorParam> {


    /**
     * @param groupId
     * @param codeTypeEnum 必须
     * @return
     */
    List<IndicatorsVO> getEnableCombines(Long groupId, IndicatorCodeTypeEnum codeTypeEnum,Integer combineType,Integer dataScopeTypes);


    /**
     * @param codeTypeEnum 根据codeType来连接不同表进行查询,返回共同数据 ,必须
     * @return
     */
    List<IndicatorsVO> queryByCombineId(Long id, IndicatorCodeTypeEnum codeTypeEnum);

    /**
     * @param codeTypeEnum 根据codeType来连接不同表进行查询,返回共同数据,必须
     * @return
     */
    List<IndicatorsVO> queryByCombineIds(List<Long> ids, IndicatorCodeTypeEnum codeTypeEnum);

    List<IndicatorsAndEvalIndicatorsVO> queryIndicatorsAndEvalIndicatorsByCombineId(Long id);

}
