package cn.fw.morax.service.data.eval;


import cn.fw.morax.domain.bo.StageIndicatorBO;
import cn.fw.morax.domain.bo.eval.EvalGroupIndicatorBO;
import cn.fw.morax.domain.bo.kpi.KpiIndicatorBO;
import cn.fw.morax.domain.db.eval.EvalGroupIndicator;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.lang.NonNull;

import java.time.LocalDate;
import java.util.Date;
import java.util.List;
import java.util.Set;

/**
 * <p>
 * 绩效组指标项 服务类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
public interface EvalGroupIndicatorService extends IService<EvalGroupIndicator> {

    /**
     * 查询所有有效的指标数据
     * 返回数据包含正在使用的岗位
     *
     * @param dataDate 时间点 非空
     * @param evalGroupId
     * @return
     */
    Set<EvalGroupIndicatorBO> allIndicators(@NonNull final LocalDate dataDate, final Long evalGroupId);

    /**
     *
     *
     * @param dataDate
     * @return
     */
    List<StageIndicatorBO> getStageIndicators(LocalDate dataDate);

}
