package cn.fw.morax.service.data.eval;


import cn.fw.morax.domain.db.eval.EvalGroupRank;
import cn.fw.morax.domain.db.eval.EvalGroupReward;
import cn.fw.morax.domain.dto.query.EvalGroupRankQueryDTO;
import cn.fw.morax.domain.dto.query.KpiGroupRankQueryDTO;
import cn.fw.morax.domain.vo.eval.EvalGroupRankVO;
import cn.fw.morax.domain.vo.kpi.KpiGroupRankVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 考评奖惩 服务类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
public interface EvalGroupRankService extends IService<EvalGroupRank> {


    /**
     * 查询考评组排名总条数
     *
     * @param dto
     * @return
     */
    long queryPageRankTotal(EvalGroupRankQueryDTO dto);

    /**
     * 考评组排名分页查询
     *
     * @param dto
     * @return
     */
    List<EvalGroupRankVO> queryPageRank(EvalGroupRankQueryDTO dto);


    /**
     * 通过kgc查询考评组排名
     *
     * @param egcs
     * @return
     */
    List<EvalGroupRankVO> queryByEgcs(List<String> egcs, Long filterId);

}
