package cn.fw.morax.service.data.eval;


import cn.fw.morax.domain.db.eval.EvalPoolIndicatorDetail;
import cn.fw.morax.domain.enums.EvalScopeEnum;
import cn.fw.morax.domain.vo.eval.EvalPoolIndicatorDetailVO;
import com.baomidou.mybatisplus.extension.service.IService;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 考评指标明细 服务类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
public interface EvalPoolIndicatorDetailService extends IService<EvalPoolIndicatorDetail> {

    /**
     * 获取员工某月指标记录
     *
     * @param evalPoolId
     * @param evalGroupId
     * @param localDate
     * @return
     */
    List<EvalPoolIndicatorDetailVO> getStaffIndicatorValues(Long evalPoolId,
                                                            Long evalGroupId,
                                                            LocalDate localDate);

    /**
     * 获取员工某月指标记录
     *
     * @param evalPoolId
     * @param evalGroupId
     * @param localDate
     * @return
     */
    List<EvalPoolIndicatorDetailVO> getShopIndicatorValues(Long evalPoolId,
                                                            Long evalGroupId,
                                                            LocalDate localDate);

    /**
     * 获取员工、门店某月指标详情记录
     *
     * @param evalPoolId
     * @param evalGroupIndicatorId
     * @param localDate
     * @return
     */
    EvalPoolIndicatorDetailVO getIndicatorValue(Long evalPoolId,
                                                EvalScopeEnum scopeType,
                                                Long evalGroupIndicatorId,
                                                LocalDate localDate);
}
