package cn.fw.morax.service.data.eval.impl;


import cn.fw.morax.common.utils.PublicUtil;
import cn.fw.morax.dao.eval.EvalGroupIndicatorParamDao;
import cn.fw.morax.domain.db.eval.EvalGroupIndicatorParam;
import cn.fw.morax.domain.enums.IndicatorCodeTypeEnum;
import cn.fw.morax.domain.vo.eval.EvalGroupIndicatorParamVO;
import cn.fw.morax.domain.vo.kpi.KpiGroupIndicatorParamVO;
import cn.fw.morax.service.data.eval.EvalGroupIndicatorParamService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 考评组指标参数 服务实现类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Service
public class EvalGroupIndicatorParamServiceImpl extends ServiceImpl<EvalGroupIndicatorParamDao, EvalGroupIndicatorParam>
        implements EvalGroupIndicatorParamService {

    @Override
    public List<EvalGroupIndicatorParamVO> getParamVos(Long evalGroupIndicatorId) {
        List<EvalGroupIndicatorParam> params = this.list(Wrappers.<EvalGroupIndicatorParam>lambdaQuery()
                .eq(EvalGroupIndicatorParam::getEvalGroupIndicatorId, evalGroupIndicatorId)
                .eq(EvalGroupIndicatorParam::getYn, Boolean.TRUE)
        );
        List<EvalGroupIndicatorParamVO> paramVos = PublicUtil.copyList(params, EvalGroupIndicatorParamVO.class);
        paramVos.stream().forEach(EvalGroupIndicatorParamVO::processPercent);
        return paramVos;
    }
}
