package cn.fw.morax.service.data.eval.impl;


import cn.fw.morax.dao.eval.EvalGroupIndicatorPreconditionDao;
import cn.fw.morax.domain.db.eval.EvalGroupIndicatorPrecondition;
import cn.fw.morax.domain.enums.EvalScopeEnum;
import cn.fw.morax.domain.enums.IndicatorCodeTypeEnum;
import cn.fw.morax.domain.vo.eval.EvalGroupIndicatorParamVO;
import cn.fw.morax.domain.vo.eval.EvalGroupIndicatorPreconditionVO;
import cn.fw.morax.service.data.eval.EvalGroupIndicatorPreconditionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 考评组指标条件 服务实现类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Service
public class EvalGroupIndicatorPreconditionServiceImpl
        extends ServiceImpl<EvalGroupIndicatorPreconditionDao, EvalGroupIndicatorPrecondition>
        implements EvalGroupIndicatorPreconditionService {

    @Override
    public List<EvalGroupIndicatorPreconditionVO> getConds(Long poolId, EvalScopeEnum scopeType, Long evalGroupIndicatorId, LocalDate dataDate) {
        List<EvalGroupIndicatorPreconditionVO> indicatorConds = this.baseMapper
                .getHitVos(poolId, evalGroupIndicatorId, dataDate, scopeType.getValue());
        indicatorConds.stream().forEach(EvalGroupIndicatorPreconditionVO::processPercent);
        return indicatorConds;
    }
}
