package cn.fw.morax.service.data.eval.impl;


import cn.fw.morax.dao.eval.EvalGroupRankDao;
import cn.fw.morax.dao.eval.EvalGroupRewardDao;
import cn.fw.morax.domain.db.eval.EvalGroupRank;
import cn.fw.morax.domain.db.eval.EvalGroupReward;
import cn.fw.morax.domain.dto.query.EvalGroupRankQueryDTO;
import cn.fw.morax.domain.vo.eval.EvalGroupRankVO;
import cn.fw.morax.domain.vo.kpi.KpiGroupRankVO;
import cn.fw.morax.service.data.eval.EvalGroupRankService;
import cn.fw.morax.service.data.eval.EvalGroupRewardService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 考评奖惩 服务实现类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Service
public class EvalGroupRankServiceImpl extends ServiceImpl<EvalGroupRankDao, EvalGroupRank>
        implements EvalGroupRankService {
    @Override
    public long queryPageRankTotal(EvalGroupRankQueryDTO dto) {
        return this.getBaseMapper().queryPageRankTotal(dto);
    }

    @Override
    public List<EvalGroupRankVO> queryPageRank(EvalGroupRankQueryDTO dto) {
        Integer pageSize = dto.getPageSize();
        Integer current = dto.getCurrent();
        dto.setCurrent(current.equals(0) ? 0 : (current - 1) * pageSize);
        return this.getBaseMapper().queryPageRank(dto);
    }

    @Override
    public List<EvalGroupRankVO> queryByEgcs(List<String> egcs, Long filterId) {
        return this.getBaseMapper().queryByEgcs(egcs, filterId);
    }
}
