package cn.fw.morax.service.data.eval.impl;


import cn.fw.morax.dao.eval.EvalGroupDao;
import cn.fw.morax.domain.db.eval.EvalGroup;
import cn.fw.morax.service.data.eval.EvalGroupService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.lang.NonNull;
import org.springframework.stereotype.Service;

import java.time.LocalDate;
import java.util.List;
import java.util.Set;

/**
 * <p>
 * 考评组 服务实现类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Service
public class EvalGroupServiceImpl extends ServiceImpl<EvalGroupDao, EvalGroup> implements EvalGroupService {

    @Override
    public List<EvalGroup> getAllEffectGroups(@NonNull final LocalDate localDate) {
        return this.getBaseMapper().getAllEffectGroups(localDate);
    }
    @Override
    public List<EvalGroup> getEffectGroups(@NonNull final Long groupId, LocalDate localDate) {
        return this.getBaseMapper().getEffectGroups(groupId, localDate);
    }

    @Override
    public Set<Long> queryCalculableEvalGroupIds(LocalDate localDate) {
        return this.baseMapper.queryCalculableEvalGroupIds(localDate);
    }

    @Override
    public Set<Long> queryDistributionShopReward(LocalDate localDate) {
        return this.baseMapper.queryDistributionShopReward(localDate);
    }

    @Override
    public List<EvalGroup> getEvalGroups(@NonNull final List<Long> evalGroupRankIds) {
        return this.baseMapper.selectList(Wrappers.<EvalGroup>lambdaQuery()
                .in(EvalGroup::getEvalGroupRankId, evalGroupRankIds)
                .eq(EvalGroup::getYn, Boolean.TRUE)
        );
    }
    @Override
    public List<EvalGroup> getEvalGroups(@NonNull final Long evalGroupRankId) {
        return this.baseMapper.selectList(Wrappers.<EvalGroup>lambdaQuery()
                .in(EvalGroup::getEvalGroupRankId, evalGroupRankId)
                .eq(EvalGroup::getYn, Boolean.TRUE)
        );
    }

    @Override
    public List<EvalGroup> getEffectsByRankId(@NonNull final Long evalGroupRankId, @NonNull final LocalDate localDate) {
        return this.baseMapper.getEffectsByRankId(evalGroupRankId, localDate);
    }
}
