package cn.fw.morax.service.data.eval.impl;


import cn.fw.morax.dao.eval.EvalIndicatorValueDao;
import cn.fw.morax.domain.db.eval.EvalIndicatorValue;
import cn.fw.morax.domain.enums.DimensionTypeEnum;
import cn.fw.morax.service.data.eval.EvalIndicatorValueService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.time.LocalDate;
import java.time.YearMonth;
import java.util.List;
import java.util.Set;

/**
 * <p>
 * 考评组 服务实现类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Service
public class EvalIndicatorValueServiceImpl extends ServiceImpl<EvalIndicatorValueDao, EvalIndicatorValue>
        implements EvalIndicatorValueService {

    @Override
    public EvalIndicatorValue queryLastValue(Long referId, DimensionTypeEnum dimensionType, String indicatorCode, LocalDate dataDate) {
        //上报数据有周期，查最新上报数据需要扩大时间范围
        dataDate = dataDate.minusMonths(1L);
        if (DimensionTypeEnum.STAFF.equals(dimensionType)) {
            return this.baseMapper.queryLastValue(referId, null, dimensionType, indicatorCode, dataDate);
        }
        return this.baseMapper.queryLastValue(null, referId, dimensionType, indicatorCode, dataDate);
    }

    @Override
    public List<EvalIndicatorValue> getStaffReportData(String code, YearMonth monthly, Set<Long> userIds) {
        return this.baseMapper.getStaffIndicatorReportData(code, monthly,userIds, DimensionTypeEnum.STAFF.getValue());
    }

    @Override
    public List<EvalIndicatorValue> getShopReportData(String code, YearMonth monthly, Set<Long> shopIds) {
        return this.baseMapper.getShopIndicatorReportData(code, monthly,shopIds, DimensionTypeEnum.SHOP.getValue());
    }
}
