package cn.fw.morax.service.data.eval.impl;


import cn.fw.morax.dao.eval.EvalUserPoolDao;
import cn.fw.morax.domain.db.eval.EvalShopPool;
import cn.fw.morax.domain.db.eval.EvalUserPool;
import cn.fw.morax.domain.dto.query.EvalPoolQueryDTO;
import cn.fw.morax.domain.vo.eval.EvalUserPoolVO;
import cn.fw.morax.service.data.eval.EvalUserPoolService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.time.YearMonth;
import java.util.List;

/**
 * <p>
 * 考评池 服务实现类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Service
public class EvalUserPoolServiceImpl extends ServiceImpl<EvalUserPoolDao, EvalUserPool> implements EvalUserPoolService {

    @Override
    public List<EvalUserPool> getLastPool(YearMonth monthly, Long groupId) {
        return this.baseMapper.getLastPool(monthly, groupId);
    }

    @Override
    public List<EvalUserPoolVO> getPools(YearMonth monthly, Long userId) {
        return this.baseMapper.getPools(monthly, userId);
    }

    @Override
    public long queryPagePoolTotal(EvalPoolQueryDTO dto) {
        return this.baseMapper.queryPagePoolTotal(dto);
    }

    @Override
    public List<EvalUserPoolVO> queryPagePool(EvalPoolQueryDTO dto) {
        Integer pageSize = dto.getPageSize();
        Integer current = dto.getCurrent();
        int startIndex = (current.equals(0) ? 0 : (current - 1) * pageSize);
        return this.getBaseMapper().queryPagePool(dto, startIndex, pageSize);
    }
}
