package cn.fw.morax.service.data.impl;

import cn.fw.morax.dao.CombineIndicatorParamDao;
import cn.fw.morax.domain.db.CombineIndicatorParam;
import cn.fw.morax.domain.enums.IndicatorCodeTypeEnum;
import cn.fw.morax.domain.vo.kpi.IndicatorsAndEvalIndicatorsVO;
import cn.fw.morax.domain.vo.kpi.IndicatorsVO;
import cn.fw.morax.service.data.CombineIndicatorParamService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.Collections;
import java.util.List;

/**
 * <p>
 * 组合指标参数 服务实现类
 * </p>
 *
 * @author jiangchao
 * @since 2023-03-27
 */
@Service
public class CombineIndicatorParamServiceImpl extends ServiceImpl<CombineIndicatorParamDao, CombineIndicatorParam>
        implements CombineIndicatorParamService {

    @Override
    public List<IndicatorsVO> getEnableCombines(Long groupId, IndicatorCodeTypeEnum codeTypeEnum,Integer combineType,Integer dataScopeTypes) {
        List<IndicatorsVO> indicatorsVOS = this.baseMapper.getCombines(groupId,combineType,dataScopeTypes);
        for (IndicatorsVO indicatorsVO : indicatorsVOS) {
            indicatorsVO.setCodeType(IndicatorCodeTypeEnum.COMBINE_INDICATOR);
            indicatorsVO.setCombine(Boolean.TRUE);
            List<IndicatorsVO> indicatorsVOS1 = queryByCombineId(indicatorsVO.getId(),codeTypeEnum);
            if (!CollectionUtils.isEmpty(indicatorsVOS1)){
                indicatorsVO.setCombines(indicatorsVOS1);
            }else {
                indicatorsVO.setCombines(Collections.emptyList());
            }
        }
        return indicatorsVOS;
    }

    @Override
    public List<IndicatorsVO> queryByCombineId(Long id, IndicatorCodeTypeEnum codeTypeEnum) {
        return this.baseMapper.queryByCombineId(id, codeTypeEnum.getValue());
    }

    @Override
    public List<IndicatorsVO> queryByCombineIds(List<Long> ids, IndicatorCodeTypeEnum codeTypeEnum) {
        return this.baseMapper.queryByCombineIds(ids, codeTypeEnum.getValue());
    }

    @Override
    public List<IndicatorsAndEvalIndicatorsVO> queryIndicatorsAndEvalIndicatorsByCombineId(Long id) {
        return this.baseMapper.queryIndicatorsAndEvalIndicatorsByCombineId(id);
    }
}
