package cn.fw.morax.service.data.kpi;

import cn.fw.morax.domain.db.kpi.Indicators;
import cn.fw.morax.domain.dto.query.IndicatorPostQueryDTO;
import cn.fw.morax.domain.dto.query.IndicatorQueryDTO;
import cn.fw.morax.domain.dto.query.QueryConditionIndicatorsListDTO;
import cn.fw.morax.domain.vo.kpi.IndicatorsVO;
import cn.fw.morax.domain.vo.kpi.QueryConditionIndicatorsListVO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.lang.NonNull;

import java.util.List;

public interface IndicatorsService extends IService<Indicators> {

    /**
     * 指标分页查询总条数接口
     *
     * @param dto
     * @return
     */
    Long indicatorsPageTotal(IndicatorQueryDTO dto);

    /**
     * 指标分页查询接口
     *
     * @param dto
     * @return
     */
    List<IndicatorsVO> indicatorsPage(IndicatorQueryDTO dto);

    /**
     * 通过指标编码查询指标数据
     *
     * @param indicatorCode  指标编码 NonNull
     * @param checkEffective 是否进行有效校验
     * @return
     */
    Indicators queryByCode(@NonNull final String indicatorCode, final Boolean checkEffective);

    /**
     * 获取岗位下的指标
     *
     * @param dto
     * @return
     */
    List<IndicatorsVO> getPostIndicators(IndicatorPostQueryDTO dto);



    /**
     * 获取带条件的绩效指标库
     *
     * @param dto
     * @return
     */
    List<QueryConditionIndicatorsListVO> queryConditionIndicatorsList(QueryConditionIndicatorsListDTO dto);
}
