package cn.fw.morax.service.data.kpi.impl;

import cn.fw.morax.common.utils.PublicUtil;
import cn.fw.morax.dao.kpi.KpiGroupIndicatorLaddersDao;
import cn.fw.morax.domain.db.kpi.KpiGroupIndicatorLadders;
import cn.fw.morax.domain.enums.DataTypeEnum;
import cn.fw.morax.domain.vo.kpi.KpiGroupIndicatorLaddersVO;
import cn.fw.morax.service.data.kpi.KpiGroupIndicatorLaddersService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

@Service
@Slf4j
@AllArgsConstructor
public class KpiGroupIndicatorLaddersServiceImpl extends ServiceImpl<KpiGroupIndicatorLaddersDao, KpiGroupIndicatorLadders> implements KpiGroupIndicatorLaddersService {

    @Override
    public List<KpiGroupIndicatorLaddersVO> getVos(Long indicatorId, DataTypeEnum laddersType) {
        List<KpiGroupIndicatorLadders> ladders = this.list(Wrappers.<KpiGroupIndicatorLadders>lambdaQuery()
                .eq(KpiGroupIndicatorLadders::getKpiGroupIndicatorId, indicatorId)
                .eq(KpiGroupIndicatorLadders::getYn, Boolean.TRUE)
                .orderByAsc(KpiGroupIndicatorLadders::getId)
        );

        List<KpiGroupIndicatorLaddersVO> ladderVos = ladders.stream().map(indicatorLadders -> {
            KpiGroupIndicatorLaddersVO indicatorLaddersVO = PublicUtil.copy(indicatorLadders, KpiGroupIndicatorLaddersVO.class);
            indicatorLaddersVO.convertLadderToPercent(laddersType);
            return indicatorLaddersVO;
        }).collect(Collectors.toList());
        return ladderVos;
    }
}
