package cn.fw.morax.service.data.kpi.impl;

import cn.fw.morax.common.constant.Constant;
import cn.fw.morax.common.utils.PublicUtil;
import cn.fw.morax.dao.kpi.KpiGroupIndicatorParamDao;
import cn.fw.morax.domain.db.kpi.KpiGroupIndicatorParam;
import cn.fw.morax.domain.enums.TargetTypeEnum;
import cn.fw.morax.domain.vo.kpi.KpiGroupIndicatorParamVO;
import cn.fw.morax.service.data.kpi.KpiGroupIndicatorParamService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * <p>
 * 绩效组指标参数 服务实现类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-05
 */
@Service
public class KpiGroupIndicatorParamServiceImpl extends ServiceImpl<KpiGroupIndicatorParamDao, KpiGroupIndicatorParam> implements KpiGroupIndicatorParamService {

    @Override
    public Map<Long, List<KpiGroupIndicatorParamVO>> getKpiGroupParamMap(Long kpiGroupId) {

        List<KpiGroupIndicatorParam> params = this.list(Wrappers.<KpiGroupIndicatorParam>lambdaQuery()
                .eq(KpiGroupIndicatorParam::getKpiGroupId, kpiGroupId)
                .eq(KpiGroupIndicatorParam::getYn, Boolean.TRUE)
        );

        List<KpiGroupIndicatorParamVO> paramVOS = PublicUtil.copyList(params, KpiGroupIndicatorParamVO.class);
        paramVOS.stream().forEach(KpiGroupIndicatorParamVO::processPercent);

        Map<Long, List<KpiGroupIndicatorParamVO>> indicatorParamMap = paramVOS.stream()
                .collect(Collectors.groupingBy(KpiGroupIndicatorParamVO::getKpiGroupIndicatorId));

        return indicatorParamMap;
    }

    @Override
    public List<KpiGroupIndicatorParamVO> getKpiGroupIndicatorParamVos(Long kpiGroupIndicatorId) {
        List<KpiGroupIndicatorParamVO> paramVOS = this.baseMapper.getParamVos(kpiGroupIndicatorId);
        paramVOS.stream().forEach(KpiGroupIndicatorParamVO::processPercent);
        return paramVOS;
    }
}
