package cn.fw.morax.service.data.salary;

import cn.fw.morax.domain.db.salary.SalaryGroupProjectPrecondition;
import cn.fw.morax.domain.vo.salary.SalaryGroupProjectParamVO;
import cn.fw.morax.domain.vo.salary.SalaryGroupProjectPreconditionVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.LocalDate;
import java.util.List;
import java.util.Map;

/**
 * @author : kurisu
 * @className : SalaryRawDataService
 * @description : 薪资明细
 * @date: 2022-04-06 17:05
 */
public interface SalaryGroupProjectPreconditionService extends IService<SalaryGroupProjectPrecondition> {

    /**
     * 获取绩效组所有条件        已处理百分数
     *
     * @param salaryGroupId
     * @return
     */
    Map<Long, List<SalaryGroupProjectPreconditionVO>> getSalaryGroupProjectCondVO(Long salaryGroupId);

    /**
     * 条件命中记录       已处理百分数
     *
     * @param salaryGroupProjectId
     * @param userId
     * @param localDate
     * @return
     */
    List<SalaryGroupProjectPreconditionVO> getHitVos(Long salaryGroupProjectId, Long userId, LocalDate localDate);
}
