package cn.fw.morax.service.data.salary;

import cn.fw.morax.domain.db.salary.SalaryPoolDetail;
import cn.fw.morax.domain.vo.salary.SalaryPoolDetailVO;
import cn.fw.morax.domain.vo.salary.StaffSalaryVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.LocalDate;
import java.util.List;

/**
 * @author : kurisu
 * @className : SalaryPoolService
 * @description : 薪酬池
 * @date: 2022-04-06 17:05
 */
public interface SalaryPoolDetailService extends IService<SalaryPoolDetail> {
    /**
     * 查询具体日期薪酬池的详情
     *
     * @param poolId
     * @param date
     * @return
     */
    List<SalaryPoolDetail> queryListByPoolId(Long poolId, LocalDate date);

    /**
     * 查询具体日期薪酬池的详情
     *
     * @param salaryPoolId
     * @param salaryGroupId
     * @param dataDate
     * @return
     */
    List<SalaryPoolDetailVO> queryByPoolId(Long salaryPoolId, Long salaryGroupId, LocalDate dataDate);
}
