package cn.fw.morax.service.data.salary;

import cn.fw.morax.domain.db.salary.SalaryPool;
import cn.fw.morax.domain.dto.query.SalaryPoolQueryDTO;
import cn.fw.morax.domain.vo.salary.SalaryPoolVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.YearMonth;
import java.util.List;

/**
 * @author : kurisu
 * @className : SalaryPoolService
 * @description : 薪酬池
 * @date: 2022-04-06 17:05
 */
public interface SalaryPoolService extends IService<SalaryPool> {

    /**
     * 查询分页数据
     *
     * @param query
     * @return
     */
    List<SalaryPoolVO> queryPagePool(SalaryPoolQueryDTO query);

    /**
     * 查询总条数
     *
     * @param query
     * @return
     */
    long queryPagePoolTotal(SalaryPoolQueryDTO query);

    /**
     * 查询有多条绩效池的员工
     *
     * @param yearMonth
     * @return
     */
    List<SalaryPool> queryStaffMultiPools(YearMonth yearMonth);

    /**
     * 查询有一条绩效池的员工
     *
     * @param yearMonth
     * @return
     */
    List<SalaryPool> queryStaffPools(YearMonth yearMonth);
}
