package cn.fw.morax.service.data.salary.impl;

import cn.fw.morax.dao.salary.SalaryGroupProjectParamDao;
import cn.fw.morax.domain.db.salary.SalaryGroupProjectParam;
import cn.fw.morax.domain.vo.salary.SalaryGroupProjectParamVO;
import cn.fw.morax.service.data.salary.SalaryGroupProjectParamService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @author : kurisu
 * @className : SalaryPoolServiceImpl
 * @description : 薪资明细
 * @date: 2022-04-06 17:05
 */
@Service
@Slf4j
public class SalaryGroupProjectParamImpl extends ServiceImpl<SalaryGroupProjectParamDao, SalaryGroupProjectParam>
        implements SalaryGroupProjectParamService {

    @Override
    public Map<Long, List<SalaryGroupProjectParamVO>> getSalaryGroupAllParamVO(Long salaryGroupId) {
        List<SalaryGroupProjectParamVO> projectParams = this.getBaseMapper().getParams(salaryGroupId, null);
        projectParams.stream().forEach(SalaryGroupProjectParamVO::processPercent);

        Map<Long, List<SalaryGroupProjectParamVO>> projectParamMap = projectParams.stream()
                .collect(Collectors.groupingBy(SalaryGroupProjectParamVO::getSalaryGroupProjectId));
        return projectParamMap;
    }

    @Override
    public List<SalaryGroupProjectParamVO> getSalaryGroupProjectParamVO(Long salaryGroupProjectId) {
        List<SalaryGroupProjectParamVO>  projectParams = this.getBaseMapper().getParams(null, salaryGroupProjectId);
        projectParams.stream().forEach(SalaryGroupProjectParamVO::processPercent);
        return projectParams;
    }
}
