package cn.fw.morax.service.data.salary.impl;

import cn.fw.morax.dao.salary.SalaryGroupProjectDao;
import cn.fw.morax.domain.db.salary.SalaryGroupProject;
import cn.fw.morax.domain.db.salary.SalaryPoolDetail;
import cn.fw.morax.service.data.salary.SalaryGroupProjectService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author : kurisu
 * @className : SalaryGroupProjectServiceImpl
 * @description : 薪酬组薪酬项目
 * @date: 2022-04-06 17:05
 */
@Service
@Slf4j
public class SalaryGroupProjectServiceImpl extends ServiceImpl<SalaryGroupProjectDao, SalaryGroupProject> implements SalaryGroupProjectService {

    @Override
    public List<SalaryGroupProject> queryByProjectIds(Long salaryGroupId, List<Long> salaryGroupProjectIds) {
        return this.list(Wrappers.<SalaryGroupProject>lambdaQuery()
                .eq(SalaryGroupProject::getSalaryGroupId, salaryGroupId)
//                .in(SalaryGroupProject::getSalaryProjectId, salaryGroupProjectIds)
                .eq(SalaryGroupProject::getYn, Boolean.TRUE)
        );
    }

    @Override
    public SalaryGroupProject getAllDataById(Long id, Long salaryGroupId) {
        return this.getBaseMapper().getAllDataById(id, salaryGroupId);
    }
}
